-- phpMyAdmin SQL Dump
-- version 3.4.5
-- http://www.phpmyadmin.net
--
-- Servidor: localhost
-- Tiempo de generación: 22-07-2014 a las 08:07:22
-- Versión del servidor: 5.5.16
-- Versión de PHP: 5.3.8

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de datos: `selectra_conf_pyme`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `actualizacion_db`
--

CREATE TABLE IF NOT EXISTS `actualizacion_db` (
  `actualizacion_id` int(11) NOT NULL AUTO_INCREMENT,
  `archivo` varchar(100) COLLATE utf8_spanish_ci NOT NULL,
  `base_datos` varchar(100) COLLATE utf8_spanish_ci NOT NULL,
  `fecha_actualizacion` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `observacion` text COLLATE utf8_spanish_ci NOT NULL,
  PRIMARY KEY (`actualizacion_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci COMMENT='Registra el log de actualizaciones de base de datos' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `auditoria`
--

CREATE TABLE IF NOT EXISTS `auditoria` (
  `auditoria_id` int(11) NOT NULL AUTO_INCREMENT,
  `mensaje` varchar(500) COLLATE utf8_spanish_ci NOT NULL,
  `auditoria_mod_id` int(11) NOT NULL,
  `operacion` enum('Creo','Actualizo','Elimino') COLLATE utf8_spanish_ci NOT NULL,
  `id_afectado` int(11) NOT NULL,
  `codigo_afectado` varchar(20) COLLATE utf8_spanish_ci NOT NULL,
  `tabla_afectada` varchar(50) COLLATE utf8_spanish_ci NOT NULL,
  `usuario` varchar(20) COLLATE utf8_spanish_ci NOT NULL,
  `fecha_operacion` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`auditoria_id`),
  KEY `usuario` (`usuario`),
  KEY `operacion` (`operacion`),
  KEY `auditoria_mod_id` (`auditoria_mod_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `auditoria_modulo`
--

CREATE TABLE IF NOT EXISTS `auditoria_modulo` (
  `auditoria_mod_id` int(11) NOT NULL AUTO_INCREMENT,
  `modulo` varchar(50) COLLATE utf8_spanish_ci NOT NULL,
  PRIMARY KEY (`auditoria_mod_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=8 ;

--
-- Volcado de datos para la tabla `auditoria_modulo`
--

INSERT INTO `auditoria_modulo` (`auditoria_mod_id`, `modulo`) VALUES
(1, 'Artículos'),
(2, 'Entrada Stock'),
(3, 'Distribución'),
(4, 'Clientes'),
(5, 'Proveedores'),
(6, 'Pedidos'),
(7, 'Facturas');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `chat_usuario`
--

CREATE TABLE IF NOT EXISTS `chat_usuario` (
  `chat_usuario_id` int(11) NOT NULL AUTO_INCREMENT,
  `usuario_origen` varchar(20) COLLATE utf8_spanish_ci NOT NULL,
  `usuario_destino` varchar(20) COLLATE utf8_spanish_ci DEFAULT NULL,
  `mensaje` varchar(500) COLLATE utf8_spanish_ci NOT NULL,
  `fecha_creacion` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`chat_usuario_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `conf_ejecucion_reporte`
--

CREATE TABLE IF NOT EXISTS `conf_ejecucion_reporte` (
  `conf_erep_id` int(4) NOT NULL AUTO_INCREMENT,
  `host` varchar(20) COLLATE utf8_spanish_ci NOT NULL,
  `puerto` varchar(4) COLLATE utf8_spanish_ci NOT NULL,
  `app` varchar(10) COLLATE utf8_spanish_ci NOT NULL,
  PRIMARY KEY (`conf_erep_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=2 ;

--
-- Volcado de datos para la tabla `conf_ejecucion_reporte`
--

INSERT INTO `conf_ejecucion_reporte` (`conf_erep_id`, `host`, `puerto`, `app`) VALUES
(1, 'localhost', '8080', 'pyme');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `datos_empresa`
--

CREATE TABLE IF NOT EXISTS `datos_empresa` (
  `cod_datos_empresa` int(32) NOT NULL AUTO_INCREMENT,
  `alias_opcion` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  `cod_empresa` int(32) NOT NULL,
  `nombre_empresa` varchar(80) COLLATE utf8_spanish_ci NOT NULL,
  `direccion` varchar(400) COLLATE utf8_spanish_ci NOT NULL,
  `ciudad` varchar(32) CHARACTER SET latin1 DEFAULT NULL,
  `estado` varchar(25) CHARACTER SET latin1 DEFAULT NULL,
  `zona_postal` varchar(12) CHARACTER SET latin1 DEFAULT NULL,
  `telefonos` varchar(100) CHARACTER SET latin1 NOT NULL,
  `rif` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `nit` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `rep_legal` varchar(40) CHARACTER SET latin1 DEFAULT NULL,
  `img_izq` varchar(100) CHARACTER SET latin1 NOT NULL DEFAULT 'logo_selectra.jpg',
  `img_der` varchar(100) CHARACTER SET latin1 DEFAULT NULL,
  `cod_moneda` varchar(50) CHARACTER SET latin1 NOT NULL,
  `nombre_sistema` varchar(50) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`cod_datos_empresa`),
  KEY `cod_empresa` (`cod_empresa`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=2 ;

--
-- Volcado de datos para la tabla `datos_empresa`
--

INSERT INTO `datos_empresa` (`cod_datos_empresa`, `alias_opcion`, `cod_empresa`, `nombre_empresa`, `direccion`, `ciudad`, `estado`, `zona_postal`, `telefonos`, `rif`, `nit`, `rep_legal`, `img_izq`, `img_der`, `cod_moneda`, `nombre_sistema`) VALUES
(1, NULL, 1, 'Nueva Empresa', 'Direccion empresa', NULL, NULL, NULL, 'TELEFONO', 'RUC-EMPRESA', NULL, NULL, 'logo_selectra.jpg', NULL, '', 'SWITCH');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `evento_usuario`
--

CREATE TABLE IF NOT EXISTS `evento_usuario` (
  `evento_usuario_id` int(11) NOT NULL AUTO_INCREMENT,
  `evento` varchar(250) NOT NULL,
  `color` varchar(10) NOT NULL,
  `fecha_inicio` date NOT NULL,
  `fecha_fin` date DEFAULT NULL,
  `hora_inicio` time DEFAULT NULL,
  `hora_fin` time DEFAULT NULL,
  `usuario` varchar(20) NOT NULL,
  `fecha_creacion` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`evento_usuario_id`),
  KEY `usuario` (`usuario`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `modulos`
--

CREATE TABLE IF NOT EXISTS `modulos` (
  `cod_sistema` int(11) NOT NULL,
  `cod_modulo` int(32) NOT NULL AUTO_INCREMENT,
  `cod_modulo_padre` int(11) DEFAULT NULL,
  `nom_menu` varchar(100) CHARACTER SET utf8 COLLATE utf8_spanish_ci DEFAULT NULL,
  `archivo_php` varchar(200) CHARACTER SET utf8 COLLATE utf8_spanish_ci DEFAULT NULL,
  `archivo_tpl` varchar(200) CHARACTER SET utf8 COLLATE utf8_spanish_ci DEFAULT NULL,
  `orden` int(11) DEFAULT NULL,
  `img_ruta` varchar(200) CHARACTER SET utf8 COLLATE utf8_spanish_ci DEFAULT NULL,
  `visible` tinyint(1) NOT NULL,
  `target` varchar(10) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `tabla` varchar(200) COLLATE utf8_spanish2_ci DEFAULT NULL,
  PRIMARY KEY (`cod_modulo`),
  KEY `cod_modulo_padre` (`cod_modulo_padre`),
  KEY `cod_sistema` (`cod_sistema`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_spanish2_ci AUTO_INCREMENT=256 ;

--
-- Volcado de datos para la tabla `modulos`
--

INSERT INTO `modulos` (`cod_sistema`, `cod_modulo`, `cod_modulo_padre`, `nom_menu`, `archivo_php`, `archivo_tpl`, `orden`, `img_ruta`, `visible`, `target`, `tabla`) VALUES
(1, 1, 0, 'Configuraci&oacute;n', NULL, NULL, 0, '../../libs/imagenes/icons/10.png', 1, '', NULL),
(1, 2, 0, 'Clientes', NULL, NULL, 3, '../../libs/imagenes/icons/2.png', 0, '', NULL),
(1, 3, 0, 'Stock', NULL, NULL, 1, '../../libs/imagenes/icons/13.png', 1, '', NULL),
(1, 5, 0, 'Ventas', NULL, NULL, 5, '../../libs/imagenes/icons/8.png', 1, '', NULL),
(1, 6, 0, 'Ctas. por Cobrar', NULL, NULL, 6, '../../libs/imagenes/icons/4.png', 0, '', NULL),
(1, 7, 0, 'Reportes', NULL, NULL, 7, '../../libs/imagenes/icons/7.png', 1, '', NULL),
(1, 8, 5, 'Clientes', 'cliente.php', 'cliente.tpl', 1, '../../libs/imagenes/icons/28.png', 0, '', NULL),
(1, 31, 1, 'Par&aacute;metros Generales', 'parametros_generales.php', 'parametros_generales.tpl', 1, '../../libs/imagenes/11.png', 1, '', NULL),
(1, 54, 0, 'Página de Inicio', 'pagina_inicio.php', 'pagina_inicio.tpl', NULL, '../../libs/imagenes/icons/12.png', 1, '', NULL),
(1, 55, 197, 'Bodega', 'almacen.php', 'almacen.tpl', 7, '../../libs/imagenes/11.png', 1, '', NULL),
(1, 56, 5, 'Zonas', 'zona.php', 'zona.tpl', 3, '../../libs/imagenes/11.png', 0, '', NULL),
(1, 57, 5, 'Vendedor', 'vendedor.php', 'vendedor.tpl', 4, '../../libs/imagenes/21.png', 0, '', NULL),
(1, 58, 5, 'Emision de Facturas', 'factura_lista_clientes.php', 'factura_lista_clientes.tpl', 6, '../../libs/imagenes/65.png', 1, '', NULL),
(1, 59, 5, 'Estado de Cuentas de Clientes', 'cxc_lista_clientes.php', 'cxc_lista_clientes.tpl', 1, '../../libs/imagenes/55.png', 0, '', NULL),
(1, 60, 7, 'Relaci&oacute;n de Compra por Proveedor', 'relacion_compra_proveedores.php', 'relacion_compra_proveedores.tpl', 6, '../../libs/imagenes/4.png', 1, '', NULL),
(1, 61, 3, 'Articulos', 'producto.php', 'producto.tpl', 1, '../../libs/imagenes/13.png', 1, '', NULL),
(1, 64, 197, 'Rubro', 'departamento.php', 'departamento.tpl', 7, '../../libs/imagenes/11.png', 1, '', NULL),
(1, 65, 197, 'Subrubro', 'grupo.php', 'grupo.tpl', 8, '../../libs/imagenes/55.png', 1, '', NULL),
(1, 66, 197, 'Marca', 'linea.php', 'linea.tpl', 9, '../../libs/imagenes/37.png', 1, '', NULL),
(1, 67, 3, 'Servicios', 'servicio.php', 'servicio.tpl', 2, '../../libs/imagenes/13.png', 1, '', NULL),
(1, 68, 1, 'Usuarios', 'usuarios.php', 'usuarios.tpl', 5, '../../libs/imagenes/21.png', 1, '', NULL),
(1, 69, 3, 'Existencia de Producto por Almac&eacute;n', 'producto_existencia_almacen.php', 'producto_existencia_almacen.tpl', 5, '../../libs/imagenes/13.png', 0, '', NULL),
(1, 70, 1, 'Retenci&oacute;n I.S.L.R', 'islr.php', 'islr.tpl', 9, '../../libs/imagenes/18.png', 0, '', NULL),
(1, 71, 7, 'Relaci&oacute;n de Facturas por Clientes (Productos y/o Servicios)', 'relacion_factura_clientes.php', 'relacion_factura_clientes.tpl', 4, '../../libs/imagenes/4.png', 1, '', NULL),
(1, 72, 3, 'Boletos', 'boletos.php', 'boletos.tpl', 3, '../../libs/imagenes/13.png', 0, '', NULL),
(1, 73, 5, 'Gestionar Facturas (Boletos)', 'factura_lista_clientes_boletos.php', 'factura_lista_clientes_boletos.tpl', 4, '../../libs/imagenes/11.png', 0, '', NULL),
(1, 74, 7, 'Relaci&oacute;n de Facturas por Clientes (Boletos)', 'relacion_factura_clientes_boletos.php', 'relacion_factura_clientes_boletos.tpl', 5, '../../libs/imagenes/4.png', 0, '', NULL),
(1, 75, 0, 'Consulta', NULL, NULL, 6, '../../libs/imagenes/59.png', 0, '', NULL),
(1, 76, 1, 'Responsable', 'responsable.php', 'responsable.tpl', 7, '../../libs/imagenes/28.png', 0, '', NULL),
(1, 77, 1, 'Banco', 'banco.php', 'banco.tpl', 8, '../../libs/imagenes/55.png', 0, '', NULL),
(1, 78, 1, 'Instrumento de Forma Pago', 'instrumentoformapago.php', 'instrumentoformapago.tpl', 10, '../../libs/imagenes/023.png', 1, '', NULL),
(1, 79, 5, 'Devoluci&oacute;n Facturas (Nota de Credito)', 'devolucion_venta_lista.php', 'devolucion_venta_lista.tpl', 9, '../../libs/imagenes/tipo.png', 1, '', NULL),
(1, 80, 1, 'Retenci&oacute;n I.V.A', 'retencioniva.php', 'retencioniva.tpl', 8, '../../libs/imagenes/19.png', 0, '', NULL),
(1, 81, 1, 'Correlativos', 'correlativos.php', 'correlativos.tpl', 20, '../../libs/imagenes/023.png', 1, '', NULL),
(1, 83, 0, 'Proveedores', 'proveedores.php', 'proveedores.tpl', 3, '../../libs/imagenes/28.png', 0, '', NULL),
(1, 84, 0, 'Compras', NULL, NULL, 2, '../../libs/imagenes/29.png', 1, '', NULL),
(1, 85, 0, 'Ctas. por Pagar', NULL, NULL, 6, '../../libs/imagenes/41.png', 0, '', NULL),
(1, 86, 84, 'Proveedores', 'proveedores.php', 'proveedores.tpl', 1, '../../libs/imagenes/28.png', 1, '', NULL),
(1, 87, 84, 'Gestionar Compra', 'proveedores_compra_lista.php', 'proveedores_compra_lista.tpl', 5, '../../libs/imagenes/4.png', 1, '', NULL),
(1, 88, 84, 'Estado de Cuentas de Proveedores', 'cxp_lista_proveedores.php', 'cxp_lista_proveedores.tpl', 1, '../../libs/imagenes/55.png', 1, '', NULL),
(1, 89, 0, 'Caja y Bancos', NULL, NULL, 6, '../../libs/imagenes/05.png', 1, '', NULL),
(1, 90, 89, 'Bancos', 'tesoreria_banco.php', 'tesoreria_banco.tpl', 1, '../../libs/imagenes/55.png', 1, '', NULL),
(1, 91, 89, 'Cheques', 'tesoreria_bancoSeleccion.php', 'tesoreria_bancoSeleccion.tpl', 2, '../../libs/imagenes/49.png', 1, '', NULL),
(1, 92, 89, 'Consulta / Impresi&oacute;n de Cheques', 'tesoreria_impresioncheque.php', 'tesoreria_impresioncheque.tpl', 3, '../../libs/imagenes/03.png', 1, '', NULL),
(1, 93, 89, 'Movimientos Bancarios', 'tesoreria_movimientos_bancarios.php', 'tesoreria_movimientos_bancarios.tpl', 4, '../../libs/imagenes/01.png', 1, '', NULL),
(1, 94, 89, 'Conciliaci&oacute;n Bancaria', 'tesoreria_conciliacion_seleccion_cuenta.php', 'tesoreria_conciliacion_seleccion_cuenta.tpl', 5, '../../libs/imagenes/41.png', 1, '', NULL),
(1, 95, 89, 'Reportes', NULL, NULL, 6, '../../libs/imagenes/66.png', 0, '', NULL),
(1, 96, 89, 'Tipos de Movimientos Bancarios', 'tipos_movimientos_bancarios.php', 'tipos_movimientos_bancarios.tpl', 11, '../../libs/imagenes/55.png', 1, '', NULL),
(1, 97, 1, 'Impuesto Municipal ICA', 'impuesto_municipal_ica.php', 'impuesto_municipal_ica.tpl', 9, '../../libs/imagenes/20.png', 0, '', NULL),
(1, 98, 1, 'Tipos de Impuestos', 'tipo_impuesto.php', 'tipo_impuesto.tpl', 12, '../../libs/imagenes/20.png', 1, '', NULL),
(1, 99, 1, 'Entidades', 'entidad.php', 'entidad.tpl', 13, '../../libs/imagenes/20.png', 1, '', NULL),
(1, 100, 1, 'Formulaci&oacute;n de Impuestos', 'formulacion_impuestos.php', 'formulacion_impuestos.tpl', 14, '../../libs/imagenes/20.png', 1, '', NULL),
(1, 101, 1, 'Lista de Impuestos', 'lista_impuestos.php', 'lista_impuestos.tpl', 15, '../../libs/imagenes/11.png', 1, '', NULL),
(1, 102, 5, 'Tipo de Clientes', 'tipo_cliente.php', 'tipo_cliente.tpl', 1, '../../libs/imagenes/icons/28.png', 0, '', NULL),
(1, 103, 1, 'Moneda', 'multi_moneda.php', 'multi_moneda.tpl', 20, '../../libs/imagenes/moneda.png', 1, '', NULL),
(1, 104, 1, 'Divisas', 'divisas.php', 'divisas.tpl', NULL, '../../libs/imagenes/moneda.png', 0, '', NULL),
(1, 105, 1, 'Tasas de Cambio', 'tasas_de_cambio.php', 'tasas_de_cambio.tpl', 0, '../../libs/imagenes/moneda.png', 0, '', NULL),
(1, 106, 0, 'Operaciones', NULL, NULL, 10, '../../libs/imagenes/icons/10.png', 1, '', NULL),
(1, 107, 106, 'Cargar Archivo POS', 'cargar_post.php', 'cargar_post.tpl', 1, '../../libs/imagenes/icons/10.png', 0, '', NULL),
(1, 108, 3, 'Kardex Almac&eacute;n', 'kardex_almacen.php', 'kardex_almacen.tpl', 3, '../../libs/imagenes/icons/10.png', 0, '', NULL),
(1, 109, 3, 'Ingreso de Mercancias al Stock', 'entrada_almacen.php', 'entrada_almacen.tpl', 4, '../../libs/imagenes/icons/10.png', 1, '', NULL),
(1, 110, 3, 'Movimientos de Ajuste al Stock', 'salida_almacen.php', 'salida_almacen.tpl', 5, '../../libs/imagenes/icons/10.png', 1, '', NULL),
(1, 111, 3, 'Transferencia de Mercancias entre Bodegas', 'traslados_almacen.php', 'traslados_almacen.tpl', 6, '../../libs/imagenes/icons/10.png', 1, '', NULL),
(1, 112, 197, 'Tipos de Movimientos de Inventario', 'tipo_movimientos_almacen.php', 'tipo_movimientos_almacen.tpl', 10, '../../libs/imagenes/icons/10.png', 0, '', NULL),
(1, 113, 106, 'Contabilizar cheques', 'contabilizar_cheque.php', 'contabilizar_cheque.tpl', 2, '../../libs/imagenes/icons/10.png', 0, '', NULL),
(1, 114, 106, 'Contabilizar Facturas', 'contabilizar_facturacion.php', 'contabilizar_facturacion.tpl', 3, '../../libs/imagenes/icons/10.png', 0, '', NULL),
(1, 115, 106, 'Contabilizar ND', 'contabilizar_nota_debito.php', 'contabilizar_nota_debito.tpl', 5, '../../libs/imagenes/icons/10.png', 0, '', NULL),
(1, 116, 106, 'Contabilizar NC', 'contabilizar_nota_credito.php', 'contabilizar_nota_credito.tpl', 4, '../../libs/imagenes/icons/10.png', 0, '', NULL),
(1, 117, 89, 'Imprimir de Conciliaci&oacute;n Bancaria', 'tesoreria_vista_conciliaciones.php', 'tesoreria_vista_conciliaciones.tpl', 5, '../../libs/imagenes/03.png', 1, '', NULL),
(1, 118, 0, 'Requisiciones', NULL, NULL, 2, '../../libs/imagenes/41.png', 0, '', NULL),
(1, 119, 118, 'Requisiciones compras/materiales 	', 'requisiciones.php', 'requisiciones.tpl', 1, '../../libs/imagenes/41.png', 1, '', NULL),
(1, 120, 1, 'Unidades Administrativas / Departamentos', 'unidades_list.php', 'unidades_list.tpl', 22, '../../libs/imagenes/12.png', 1, '', NULL),
(1, 121, 118, 'Requisiciones Servicios', 'unidades_list3.php', 'unidades_list3.tpl', 2, '../../libs/imagenes/41.png', 1, '', NULL),
(1, 122, 84, 'Requisiciones Administraci&oacute;n', 'requisiciones_administracion_list.php', 'requisiciones_administracion_list.tpl', 3, '../../libs/imagenes/41.png', 0, '', NULL),
(1, 123, 118, 'An&aacute;lisis de Cotizaciones', 'analisiscotizaciones.php', 'analisiscotizaciones.tpl', 4, '../../libs/imagenes/67.png', 1, '', NULL),
(1, 124, 84, 'Reporte de Listado de Proveedores', 'listadoproveedores.php', 'listadoproveedores.tpl', 2, '../../libs/imagenes/66.png', 1, '', NULL),
(1, 125, 3, 'Reporte de Listado de Materiales', 'listadomateriales.php', 'listadomateriales.tpl', 12, '../../libs/imagenes/66.png', 0, '', NULL),
(1, 126, 3, 'Reporte de Productos en Existencia', 'productosexistencia.php', 'productosexistencia.tpl', 13, '../../libs/imagenes/66.png', 0, '', NULL),
(1, 127, 84, 'Analisis de Cotizaciones', 'analisiscotizaciones.php', 'analisiscotizaciones.tpl', 2, '../../libs/imagenes/67.png', 0, '', NULL),
(1, 128, 84, 'Requisiciones Compras', 'requisicionescompras.php', 'requisicionescompras.tpl', 1, '../../libs/imagenes/61.png', 0, '', NULL),
(1, 129, 84, 'Emisi&oacute;n de Ordenes de Compra ', 'ordendecompra.php', 'ordendecompra.tpl', 3, '../../libs/imagenes/4.png', 0, '', NULL),
(1, 130, 7, 'Libro de Compras', 'seleccionarFecha1.php', 'seleccionarFecha7.tpl', 7, '../../libs/imagenes/56.png', 1, '', NULL),
(1, 131, 7, 'Libro de Ventas', 'seleccionarFecha1.php', 'seleccionarFecha6.tpl', 8, '../../libs/imagenes/56.png', 1, '', NULL),
(1, 132, 1, 'Especialidades de Proveedores', 'proveedores_especialidad.php', 'proveedores_especialidad.tpl', 21, '../../libs/imagenes/28.png', 1, '', NULL),
(1, 133, 5, 'Cuentas x Cobrar Pendiente por Presentar', 'cxc_lista_clientes_pendiente.php', 'cxc_lista_clientes_pendiente.tpl', 2, '../../libs/imagenes/25.png', 0, '', NULL),
(1, 134, 5, 'Cuentas x Cobrar Pendiente por Autorizar', 'cxc_lista_clientes_autorizar.php', 'cxc_lista_clientes_autorizar.tpl', 3, '../../libs/imagenes/26.png', 0, '', NULL),
(1, 135, 5, 'Cuentas x Cobrar Pendiente Pago', 'cxc_lista_clientes_pago.php', 'cxc_lista_clientes_pago.tpl', 4, '../../libs/imagenes/23.png', 0, '', NULL),
(1, 136, 5, 'Reporte de Cobranzas Realizadas', 'seleccionarFecha1.php', 'cobranzas_realizadas.tpl', 5, '../../libs/imagenes/icons/7.png', 0, '', NULL),
(1, 137, 5, 'Reporte de Estado de Cuenta', 'resumen_cxc_clasificacion.php', 'rpt_estado_de_cuenta.tpl', 7, '../../libs/imagenes/icons/7.png', 0, '', NULL),
(1, 138, 5, 'Relaci&oacute;n de Cuentas por Cobrar', 'seleccionarFecha1.php', 'rpt_relaciones_cxc.tpl', 8, '../../libs/imagenes/icons/7.png', 0, '', NULL),
(1, 139, 5, 'Reporte Detalles de Pagos de Mas', 'seleccionarFecha1.php', 'rpt_pagos_demas.tpl', 9, '../../libs/imagenes/icons/7.png', 0, '', NULL),
(1, 140, 89, 'M&eacute;dicos', 'proveedores_medicos.php', 'proveedores_medicos.tpl', 2, '../../libs/imagenes/28.png', 0, '', NULL),
(1, 141, 1, 'Tipo de Proveedor', 'tipo_proveedor.php', 'tipo_proveedor.tpl', 20, '../../libs/imagenes/28.png', 1, '', NULL),
(1, 142, 5, 'Reporte Detalle de Pago', 'rpt_detalle_pago.php', 'rpt_detalle_pago.tpl', 10, '../../libs/imagenes/icons/7.png', 0, '', NULL),
(1, 143, 5, 'Reporte Resumen CXP Clasificado', 'resumen_cxc_clasificacion.php', 'resumen_cxc_clasificacion.tpl', 11, '../../libs/imagenes/icons/7.png', 0, '', NULL),
(1, 144, 5, 'Listado de Clientes', 'listado_clientes.php', 'listado_clientes.tpl', 9, '../../libs/imagenes/icons/7.png', 0, '', NULL),
(1, 145, 5, 'Listado CXP M&eacute;dico', 'cxp_listado_medico.php', 'cxp_listado_medico.tpl', 12, '../../libs/imagenes/icons/7.png', 0, '', NULL),
(1, 146, 89, 'Listado de M&eacute;dicos por Pagar', 'seleccionarFecha1.php', 'listado_cxp_medicos.tpl', 3, '../../libs/imagenes/icons/7.png', 0, '', NULL),
(1, 147, 7, 'ITBM Retenido', 'seleccionarFecha1.php', 'seleccionarFecha8.tpl', 9, '../../libs/imagenes/56.png', 1, '', NULL),
(1, 148, 7, 'Cheques Emitidos', 'seleccionarFecha1.php', 'seleccionarFecha9.tpl', 10, '../../libs/imagenes/56.png', 1, '', NULL),
(1, 149, 89, 'Listado Anal&iacute;ticos', 'seleccionarFecha1.php', 'analiticos.tpl', 4, '../../libs/imagenes/icons/7.png', 0, '', NULL),
(1, 150, 5, 'Anal&iacute;ticos Facturas', 'seleccionarFecha1.php', 'analiticoscxc.tpl', 13, '../../libs/imagenes/icons/7.png', 0, '', NULL),
(1, 151, 89, 'Transferencias/Cheques de gerencia', 'tesoreria_bancoSeleccionTransf.php', 'tesoreria_bancoSeleccionTransf.tpl', 10, '../../libs/imagenes/preview_f2.png', 1, '', NULL),
(1, 152, 89, 'Facturas/Cheque', 'facturasxCheque.php', 'facturasxCheque.tpl', 11, '../../libs/imagenes/03.png', 1, '', NULL),
(1, 153, 5, 'Estado de Cta. Cliente', 'edo_cta_xcliente.php', 'edo_cta_xcliente.tpl', 13, '../../libs/imagenes/icons/7.png', 0, '', NULL),
(1, 154, 5, 'Notas de Entrega', 'lista_clientes.php', 'lista_clientes.tpl', 3, '../../libs/imagenes/9.png', 0, '', NULL),
(1, 155, 5, 'Pedidos', 'lista_clientes.php', 'lista_clientes.tpl', 3, '../../libs/imagenes/02.png', 1, '', NULL),
(1, 156, 5, 'Cotizaci&oacute;n', 'lista_clientes_cotizaciones.php', 'lista_clientes_cotizaciones.tpl', 2, '../../libs/imagenes/4.png', 1, '', NULL),
(1, 157, 7, 'Relaci&oacute;n de Cotizaciones por Clientes', 'relacion_cotizacion_clientes.php', 'relacion_cotizacion_clientes.tpl', 1, '../../libs/imagenes/4.png', 1, '', NULL),
(1, 158, 7, 'Relaci&oacute;n de Notas de Entrega por Clientes', 'relacion_notas_entrega_clientes.php', 'relacion_notas_entrega_clientes.tpl', 2, '../../libs/imagenes/4.png', 0, '', NULL),
(1, 159, 7, 'Relaci&oacute;n de Pedidos por Clientes', 'relacion_pedidos_clientes.php', 'relacion_pedidos_clientes.tpl', 3, '../../libs/imagenes/4.png', 1, '', NULL),
(1, 160, 106, 'Corte X<br>(Impresora Fiscal)', 'corte_x.php', 'corte_x.tpl', 6, '../../libs/imagenes/icons/10.png', 1, '', NULL),
(1, 161, 106, 'Corte Z<br>(Impresora Fiscal)', 'corte_z.php', 'corte_z.tpl', 7, '../../libs/imagenes/icons/10.png', 1, '', NULL),
(1, 162, 5, 'Productos (Precios)', 'producto_precios.php', 'producto_precios.tpl', 7, '../../libs/imagenes/13.png', 0, '', NULL),
(1, 163, 7, 'Ventas Diarias', 'seleccionarFecha1.php', 'rpt_ventas_diarias.tpl', 11, '../../libs/imagenes/56.png', 0, '', NULL),
(1, 164, 7, 'Devoluciones Diarias', 'seleccionarFecha1.php', 'rpt_devolucion_diaria_ventas.tpl', 12, '../../libs/imagenes/56.png', 1, '', NULL),
(1, 165, 3, 'Reporte Movimientos de Inventario', 'seleccionarFecha1.php', 'movimientos_inventario.tpl', 14, '../../libs/imagenes/66.png', 0, '', NULL),
(1, 166, 3, 'Toma de Inventario F&iacute;sico', 'toma_inventario_fisico.php', 'toma_inventario_fisico.tpl', 15, '../../libs/imagenes/66.png', 0, '', NULL),
(1, 167, 106, 'Borrar Precompromisos de Inventarios', 'precompromisos.php', 'precompromisos.tpl', 8, '../../libs/imagenes/icons/10.png', 1, '', NULL),
(1, 168, 7, 'Ventas por Productos', 'seleccionarFecha1.php', 'rpt_venta_productos.tpl', 13, '../../libs/imagenes/56.png', 1, '', NULL),
(1, 169, 7, 'Ventas por Vendedor', 'seleccionarFecha1.php', 'rpt_vendedor_ventas.tpl', 14, '../../libs/imagenes/56.png', 1, '', NULL),
(1, 170, 5, 'Reportes', 'repventas.php', 'repventas.tpl', 17, '../../libs/imagenes/menureportes.jpg', 1, '', NULL),
(1, 171, 0, 'M&oacute;dulos', NULL, NULL, 8, '../../libs/imagenes/icons/50.png\r\n', 1, '', NULL),
(1, 172, 171, 'Contabilidad', '../../../contabilidad/frame.php', NULL, 1, '../../libs/imagenes/icons/054.png', 1, '_blank', NULL),
(1, 173, 171, 'Nomina', '../../../nomina/paginas/seleccionar_nomina.php', NULL, 2, '../../libs/imagenes/icons/47.png', 1, '_blank', NULL),
(1, 174, 171, 'CRM', '../../../crm', NULL, 3, '../../libs/imagenes/icons/12.png', 0, '', NULL),
(1, 175, 5, 'Paises', 'paises.php', 'paises.tpl', 14, '../../libs/imagenes/36.png', 0, '', NULL),
(1, 176, 197, 'Categoria de productos', 'item_categoria.php', 'item_categoria.tpl', 16, '../../libs/imagenes/37.png', 0, '', NULL),
(1, 177, 197, 'Tipo de productos', 'item_tipo.php', 'item_tipo.tpl', 17, '../../libs/imagenes/37.png', 0, '', NULL),
(1, 178, 197, 'Licencias', 'licencia.php', 'licencia.tpl', 18, '../../libs/imagenes/37.png', 0, '', NULL),
(1, 179, 197, 'Posicion Arancelaria', 'posicion_arancel.php', 'posicion_arancel.tpl', 18, '../../libs/imagenes/37.png', 0, '', NULL),
(1, 180, 197, 'Unidades de Medida', 'unidades.php', 'unidades.tpl', 19, '../../libs/imagenes/37.png', 0, '', NULL),
(1, 181, 197, 'Ubicaciones', 'ubicacion.php', 'ubicacion.tpl', 20, '../../libs/imagenes/37.png', 0, '', NULL),
(1, 182, 197, 'Materiales', 'material.php', 'material.tpl', 21, '../../libs/imagenes/37.png', 0, '', NULL),
(1, 183, 197, 'Tejidos', 'tejido.php', 'tejido.tpl', 22, '../../libs/imagenes/37.png', 0, '', NULL),
(1, 184, 84, 'Tipo persona', 'tipo_persona.php', 'tipo_persona.tpl', 6, '../../libs/imagenes/37.png', 1, '', NULL),
(1, 185, 89, 'Ingresos de Cobranzas a clientes', 'ingreso_cobranza_cliente_lista.php', 'ingreso_cobranza_cliente_lista.tpl', 100, '../../libs/imagenes/01.png', 1, '', NULL),
(1, 186, 89, 'Lista de Otros Ingresos', 'otros_ingresos_lista.php', 'otros_ingresos_lista.tpl', 101, '../../libs/imagenes/01.png', 1, '', NULL),
(1, 187, 89, 'Lista de Ingresos / Cambio de cheques', 'ingreso_cambio_cheques_lista.php', 'ingreso_cambio_cheques_lista.tpl', 101, '../../libs/imagenes/01.png', 1, '', NULL),
(1, 188, 89, 'Egresos / Pago a proveedores', 'egresos_pago_proveedores_lista.php', 'egresos_pago_proveedores_lista.tpl', 102, '../../libs/imagenes/01.png', 1, '', NULL),
(1, 189, 89, 'Lista de Otros Egresos', 'otros_egresos_lista.php', 'otros_egresos_lista.tpl', 101, '../../libs/imagenes/01.png', 1, '', NULL),
(1, 190, 89, 'Forma de pago', 'forma_pago.php', 'forma_pago.tpl', 103, '../../libs/imagenes/01.png', 1, '', NULL),
(1, 191, 3, 'Cambio de Precios', 'cambio_precio.php', 'cambio_precio.tpl', 23, '../../libs/imagenes/50.png', 1, '', NULL),
(1, 192, 3, 'Reportes de Stock', 'reportes_stock.php', 'reportes_stock.tpl', 23, '../../libs/imagenes/37.png', 1, '', NULL),
(1, 193, 84, 'Ingreso de Comprobante', 'pago_proveedor.php', 'pago_proveedor.tpl', 7, '../../libs/imagenes/37.png', 1, '', NULL),
(1, 195, 89, 'Listado Transacciones', 'caja_listado_transacciones.php', 'caja_listado_transacciones.tpl', 24, '../../libs/imagenes/37.png', 1, '', NULL),
(1, 196, 89, 'Caja  Diaria', 'caja_diaria.php', 'caja_diaria.tpl', 23, '../../libs/imagenes/37.png', 1, '', NULL),
(1, 197, 3, 'ABM Generales', 'abmstock.php', 'abmstock.tpl', 20, '../../libs/imagenes/149.png', 1, '', NULL),
(1, 198, 197, 'Colores', 'color.php', 'color.tpl', 23, '../../libs/imagenes/37.png', 1, '', NULL),
(1, 199, 197, 'Tallas', 'talla.php', 'talla.tpl', 24, '../../libs/imagenes/37.png', 1, '', NULL),
(1, 200, 84, 'Consulta Proveedores', 'proveedores_consulta.php', 'proveedores_consulta.tpl', 23, '../../libs/imagenes/37.png', 1, '', NULL),
(1, 201, 89, 'A,B,M Consulta de Terceros', 'egresos_consulta_terceros_lista.php', 'egresos_consulta_terceros_lista.tpl', 104, '../../libs/imagenes/28.png', 1, '', NULL),
(1, 202, 84, 'C&aacute;lculo de Costos', 'calculo_costos_lista.php', 'calculo_costos_lista.tpl', 8, '../../libs/imagenes/icons/4.png', 1, '', NULL),
(1, 203, 3, 'Impresi&oacute;n de Etiquetas', 'impresion_etiquetas.php', 'impresion_etiquetas.tpl', 24, '../../libs/imagenes/37.png', 1, '', NULL),
(1, 204, 1, 'Precio en Letras', 'precio_letras.php', 'precio_letras.tpl', 25, '../../libs/imagenes/letras.gif', 1, '', NULL),
(1, 205, 5, 'Pedido por Catalogo', 'pedido_catalogo.php', 'pedido_catalogo.tpl', 4, '../../../includes/imagenes/shopping-basket-icon.png', 1, '_blank', NULL),
(1, 206, 3, 'Distribucion', 'distribucion_lista.php', 'distribucion_lista.tpl', 6, '../../libs/imagenes/10.png', 1, '', NULL),
(1, 207, 89, 'Anal&iacute;tico de Caja', 'analitico_caja.php', 'analitico_caja.tpl', 13, '../../libs/imagenes/37.png', 1, '', NULL),
(1, 208, 229, 'Reempaque', 'reempaque.php', 'reempaque.tpl', 21, '../../libs/imagenes/tipo.png', 1, '', NULL),
(1, 209, 84, 'Compra por Catalogo', 'compra_catalogo.php', 'compra_catalogo.tpl', 8, '../../../includes/imagenes/shopping-basket-icon.png', 1, '_blank', NULL),
(1, 210, 5, 'Estad&iacute;sticas', 'estadisticas.php', 'estadisticas.tpl', 18, '../../libs/imagenes/45.png', 1, '', NULL),
(1, 211, 210, 'Estad&iacute;sticas de Venta', 'estadisticas_venta.php', 'estadisticas_venta.tpl', 1, '../../libs/imagenes/45.png', 1, '', NULL),
(1, 212, 210, 'Estad&iacute;stica de Ventas Anuales', 'estadisticas_anuales.php', 'estadisticas_anuales.tpl', 2, '../../libs/imagenes/45.png', 1, '', NULL),
(1, 213, 89, 'Ingreso Certificado de Regalo', 'certificado_regalo_lista.php', 'certificado_regalo_lista.tpl', 21, '../../libs/imagenes/icons/certificates.png', 1, '', NULL),
(1, 214, 5, 'Facturaci&oacute;n Directa', 'factura_lista_clientes.php', 'factura_lista_clientes.tpl', 7, '../../libs/imagenes/65.png', 1, '', NULL),
(1, 215, 5, 'Facturaci&oacute;n por Concepto', 'factura_lista_clientes.php', 'factura_lista_clientes.tpl', 8, '../../libs/imagenes/65.png', 1, '', NULL),
(1, 216, 5, 'Facturaci&oacute;n rapida', 'factura_lista_clientes.php', 'factura_lista_clientes.tpl', 15, '../../libs/imagenes/65.png', 1, '', NULL),
(1, 217, 5, 'Venta de saldos', 'factura_lista_clientes.php', 'factura_lista_clientes.tpl', 14, '../../libs/imagenes/65.png', 1, '', NULL),
(1, 218, 229, 'Reempaques Realizado', 'reempaque_re.php', 'reempaque_re.tpl', 21, '../../libs/imagenes/tipo.png', 1, '', NULL),
(1, 219, 5, 'Facturación por Concepto', 'factura_lista_clientes.php', 'factura_lista_clientes.tpl', 3, '../../libs/imagenes/65.png', 0, '', NULL),
(1, 220, 5, 'Comprobantes', 'comprobantes.php', 'comprobantes.tpl', 1, '../../libs/imagenes/03.png', 0, '', NULL),
(1, 221, 5, 'Listato de Pedidos Pendientes', 'comprobantes_pedido_pendiente.php', 'comprobantes_pedido_pendiente.tpl', 11, '../../libs/imagenes/46.png', 1, '', NULL),
(1, 222, 5, 'Cuentas por Cobrar', 'cuentas_por_cobrar.php', 'cuentas_por_cobrar.tpl', 12, '../../libs/imagenes/03.png', 1, '', NULL),
(1, 223, 222, 'Consultas', 'cuentas_por_cobrar_consulta.php', 'cuentas_por_cobrar_consulta.tpl', 1, '../../libs/imagenes/100.png', 1, '', NULL),
(1, 224, 222, 'Antiguedad de Facturas', 'cuentas_por_cobrar_antiguedad.php', 'cuentas_por_cobrar_antiguedad.tpl', 1, '../../libs/imagenes/100.png', 1, '', NULL),
(1, 225, 5, 'Puertos de Salida', 'puerto_salida.php', 'puerto_salida.tpl', 224, '../../libs/imagenes/testing.png', 0, '', NULL),
(1, 226, 5, 'Zonas Francas', 'zona_franca.php', 'zona_franca.tpl', 223, '../../libs/imagenes/testing.png', 0, '', NULL),
(1, 227, 5, 'Grupos Econ&oacute;mico', 'grupos_economicos.php', 'grupos_economicos.tpl', 225, '../../libs/imagenes/testing.png', 0, '', NULL),
(1, 228, 5, 'Reimpresi&oacute;n de Comprobantes ', 'reimpresion_comprobantes.php', 'reimpresion_comprobantes.tpl', 10, '../../libs/imagenes/46.png', 1, '', NULL),
(1, 229, 5, 'Trafico', 'trafico/index.php', 'trafico/index.tpl', 16, '../../libs/imagenes/testing.png', 1, '', NULL),
(1, 230, 89, 'L&iacute;neas y Operaciones', 'banco_linea_operacion.php', 'banco_linea_operacion.tpl', 22, '../../libs/imagenes/icons/05.png', 1, '', NULL),
(1, 231, 89, 'Listado de Recibos', 'caja_listado_recibos.php', 'caja_listado_recibos.tpl', 23, '../../libs/imagenes/37.png', 1, '', NULL),
(1, 232, 106, 'Migrador', 'herramientas_migrador.php', 'herramientas_migrador.tpl', 1, '../../libs/imagenes/icons/10.png', 1, '', NULL),
(1, 233, 5, 'Facturaci&oacute;n Detal', 'factura_lista_clientes.php', 'factura_lista_clientes.tpl', 19, '../../libs/imagenes/65.png', 1, '', NULL),
(1, 234, 3, 'Importar Productos', 'importar_productos.php', 'importar_productos.tpl', 25, '../../libs/imagenes/10.png', 1, '', NULL),
(1, 235, 5, 'Seguimiento de Cobranzas', 'seguimiento_cobranza.php', 'seguimiento_cobranza.tpl', 13, '../../libs/imagenes/37.png', 1, '', NULL),
(1, 236, 3, 'Importar Entradas de Almacen', 'importar_entradas.php', 'importar_entradas.tpl', 26, '../../libs/imagenes/icons/10.png', 1, '', NULL),
(1, 237, 5, 'Importar Pedidos', 'importar_pedidos.php', 'importar_pedidos.tpl', 5, '../../libs/imagenes/icons/10.png', 1, '', NULL),
(1, 239, 197, 'Escalas', 'escala_lista.php', 'escala_lista.tpl', 1, '../../libs/imagenes/icons/10.png', 1, '', NULL),
(1, 240, 106, 'Auditoria', 'auditoria.php', 'auditoria.tpl', 1, '../../libs/imagenes/icons/10.png', 1, '', NULL),
(1, 241, 5, 'ABM Generales', 'abmventas.php', 'abmventas.tpl', 1, '', 1, '', NULL),
(1, 251, 3, 'Rebajas', 'listado_rebajas.php', 'listado_rebajas.tpl', 23, '../../libs/imagenes/37.png', 1, '', NULL),
(1, 252, 3, 'Ingreso de Mercancia al Stock por Distribuci&oacute;n', 'ingreso_distribucion.php', 'ingreso_distribucion.tpl', 23, '../../libs/imagenes/37.png', 1, '', NULL),
(1, 253, 106, 'Actualizador', 'actualizador.php', 'actualizador.tpl', 1, NULL, 1, '', NULL),
(1, 254, 3, 'Toma de Inventario', 'toma_inventario.php', 'toma_inventario.tpl', 20, NULL, 1, '', NULL),
(1, 255, 254, 'Listado de Toma de Inventario', 'listado_toma_inventario.php', 'listado_toma_inventario.tpl', 20, NULL, 1, '', NULL);

--
-- Disparadores `modulos`
--
DROP TRIGGER IF EXISTS `af_insert_modulos`;
DELIMITER //
CREATE TRIGGER `af_insert_modulos` AFTER INSERT ON `modulos`
 FOR EACH ROW BEGIN

if isnull(new.cod_modulo_padre) = 1 then
 insert into modulo_usuario (cod_usuario,cod_modulo) values(1,new.cod_modulo);
end if;

END
//
DELIMITER ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `modulo_rol`
--

CREATE TABLE IF NOT EXISTS `modulo_rol` (
  `cod_modulo_rol` int(32) NOT NULL AUTO_INCREMENT,
  `cod_rol` int(32) NOT NULL,
  `cod_modulo` int(32) NOT NULL,
  `permitido` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`cod_modulo_rol`),
  UNIQUE KEY `cod_rol` (`cod_rol`,`cod_modulo`),
  KEY `cod_modulo` (`cod_modulo`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=493 ;

--
-- Volcado de datos para la tabla `modulo_rol`
--

INSERT INTO `modulo_rol` (`cod_modulo_rol`, `cod_rol`, `cod_modulo`, `permitido`) VALUES
(1, 1, 1, 1),
(2, 1, 2, 0),
(3, 1, 3, 1),
(4, 1, 5, 1),
(5, 1, 6, 0),
(6, 1, 7, 1),
(7, 1, 8, 1),
(8, 1, 31, 1),
(9, 1, 54, 0),
(10, 1, 55, 1),
(11, 1, 56, 1),
(12, 1, 57, 1),
(13, 1, 58, 1),
(14, 1, 59, 0),
(15, 1, 60, 1),
(16, 1, 61, 1),
(17, 1, 64, 1),
(18, 1, 65, 1),
(19, 1, 66, 1),
(20, 1, 67, 1),
(21, 1, 68, 1),
(22, 1, 69, 0),
(23, 1, 70, 0),
(24, 1, 71, 1),
(25, 1, 72, 0),
(26, 1, 73, 0),
(27, 1, 74, 0),
(28, 1, 75, 0),
(29, 1, 76, 0),
(30, 1, 77, 0),
(31, 1, 78, 1),
(32, 1, 79, 1),
(33, 1, 80, 0),
(34, 1, 81, 1),
(35, 1, 83, 0),
(36, 1, 84, 1),
(37, 1, 85, 0),
(38, 1, 86, 1),
(39, 1, 87, 1),
(40, 1, 88, 1),
(41, 1, 89, 1),
(42, 1, 90, 1),
(43, 1, 91, 1),
(44, 1, 92, 1),
(45, 1, 93, 1),
(46, 1, 94, 1),
(47, 1, 95, 0),
(48, 1, 96, 1),
(49, 1, 97, 0),
(50, 1, 98, 1),
(51, 1, 99, 1),
(52, 1, 100, 1),
(53, 1, 101, 1),
(54, 1, 102, 0),
(55, 1, 103, 1),
(56, 1, 104, 0),
(57, 1, 105, 0),
(58, 1, 106, 1),
(59, 1, 107, 0),
(60, 1, 108, 0),
(61, 1, 109, 1),
(62, 1, 110, 1),
(63, 1, 111, 1),
(64, 1, 112, 0),
(65, 1, 113, 0),
(66, 1, 114, 0),
(67, 1, 115, 0),
(68, 1, 116, 0),
(69, 1, 117, 1),
(70, 1, 118, 0),
(71, 1, 119, 0),
(72, 1, 120, 1),
(73, 1, 121, 0),
(74, 1, 122, 0),
(75, 1, 123, 0),
(76, 1, 124, 1),
(77, 1, 125, 1),
(78, 1, 126, 1),
(79, 1, 127, 0),
(80, 1, 128, 0),
(81, 1, 129, 0),
(82, 1, 130, 1),
(83, 1, 131, 1),
(84, 1, 132, 1),
(85, 1, 133, 0),
(86, 1, 134, 0),
(87, 1, 135, 0),
(88, 1, 136, 0),
(89, 1, 137, 0),
(90, 1, 138, 0),
(91, 1, 139, 0),
(92, 1, 140, 0),
(93, 1, 141, 1),
(94, 1, 142, 0),
(95, 1, 143, 0),
(96, 1, 144, 0),
(97, 1, 145, 0),
(98, 1, 146, 0),
(99, 1, 147, 1),
(100, 1, 148, 1),
(101, 1, 149, 0),
(102, 1, 150, 0),
(103, 1, 151, 1),
(104, 1, 152, 1),
(105, 1, 153, 0),
(106, 1, 154, 0),
(107, 1, 155, 1),
(108, 1, 156, 1),
(109, 1, 157, 1),
(110, 1, 158, 0),
(111, 1, 159, 1),
(112, 1, 160, 1),
(113, 1, 161, 1),
(114, 1, 162, 0),
(115, 1, 163, 0),
(116, 1, 164, 1),
(117, 1, 165, 1),
(118, 1, 166, 1),
(119, 1, 167, 1),
(120, 1, 168, 1),
(121, 1, 169, 1),
(122, 1, 170, 1),
(123, 1, 171, 1),
(124, 1, 172, 1),
(125, 1, 173, 1),
(126, 1, 174, 0),
(127, 1, 175, 1),
(128, 1, 176, 0),
(129, 1, 177, 0),
(130, 1, 178, 0),
(131, 1, 179, 0),
(132, 1, 180, 0),
(133, 1, 181, 0),
(134, 1, 182, 0),
(135, 1, 183, 0),
(136, 1, 184, 1),
(137, 1, 185, 1),
(138, 1, 186, 1),
(139, 1, 187, 1),
(140, 1, 188, 1),
(141, 1, 189, 1),
(142, 1, 190, 1),
(143, 1, 191, 1),
(144, 1, 192, 1),
(145, 1, 193, 1),
(146, 1, 195, 1),
(147, 1, 196, 1),
(148, 1, 197, 1),
(149, 1, 198, 1),
(150, 1, 199, 1),
(151, 1, 200, 1),
(152, 1, 201, 1),
(153, 1, 202, 1),
(154, 1, 203, 1),
(155, 1, 204, 1),
(156, 1, 205, 1),
(157, 1, 206, 1),
(158, 1, 207, 1),
(159, 1, 208, 1),
(160, 1, 209, 1),
(161, 1, 210, 1),
(162, 1, 211, 1),
(163, 1, 212, 1),
(164, 1, 213, 1),
(165, 1, 214, 1),
(166, 1, 215, 1),
(167, 1, 216, 1),
(168, 1, 217, 1),
(169, 1, 218, 1),
(170, 1, 219, 0),
(171, 1, 220, 1),
(172, 1, 221, 1),
(173, 1, 222, 1),
(174, 1, 223, 1),
(175, 1, 224, 1),
(176, 1, 225, 1),
(177, 1, 226, 1),
(178, 1, 227, 1),
(179, 1, 228, 1),
(180, 1, 229, 1),
(181, 1, 230, 1),
(182, 1, 231, 1),
(183, 1, 232, 1),
(184, 1, 233, 1),
(185, 1, 234, 1),
(186, 1, 235, 1),
(187, 1, 236, 1),
(188, 1, 237, 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `modulo_usuario`
--

CREATE TABLE IF NOT EXISTS `modulo_usuario` (
  `cod_modulo_usuario` int(32) NOT NULL AUTO_INCREMENT,
  `cod_usuario` int(32) NOT NULL,
  `cod_modulo` int(32) NOT NULL,
  `permitido` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`cod_modulo_usuario`),
  UNIQUE KEY `cod_usuario` (`cod_usuario`,`cod_modulo`),
  KEY `FK_modulo_usuario` (`cod_usuario`),
  KEY `FK_cod_modulo` (`cod_modulo`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2783 ;

--
-- Volcado de datos para la tabla `modulo_usuario`
--

INSERT INTO `modulo_usuario` (`cod_modulo_usuario`, `cod_usuario`, `cod_modulo`, `permitido`) VALUES
(1320, 1, 104, 0),
(1321, 1, 105, 0),
(1322, 1, 31, 1),
(1323, 1, 68, 1),
(1324, 1, 76, 0),
(1325, 1, 77, 0),
(1326, 1, 80, 0),
(1327, 1, 97, 0),
(1328, 1, 70, 0),
(1329, 1, 78, 1),
(1330, 1, 98, 1),
(1331, 1, 99, 1),
(1332, 1, 100, 1),
(1333, 1, 101, 1),
(1334, 1, 141, 1),
(1335, 1, 103, 1),
(1336, 1, 81, 1),
(1337, 1, 132, 1),
(1338, 1, 120, 1),
(1339, 1, 204, 1),
(1340, 1, 61, 1),
(1341, 1, 67, 1),
(1342, 1, 72, 0),
(1343, 1, 108, 0),
(1344, 1, 109, 1),
(1345, 1, 110, 1),
(1346, 1, 69, 0),
(1347, 1, 206, 1),
(1348, 1, 111, 1),
(1349, 1, 125, 1),
(1350, 1, 126, 1),
(1351, 1, 165, 1),
(1352, 1, 166, 1),
(1353, 1, 254, 0),
(1354, 1, 197, 1),
(1355, 1, 192, 1),
(1356, 1, 251, 0),
(1357, 1, 191, 1),
(1358, 1, 252, 0),
(1359, 1, 203, 1),
(1360, 1, 234, 1),
(1361, 1, 236, 1),
(1362, 1, 128, 0),
(1363, 1, 88, 1),
(1364, 1, 86, 1),
(1365, 1, 124, 1),
(1366, 1, 127, 0),
(1367, 1, 122, 0),
(1368, 1, 129, 0),
(1369, 1, 87, 1),
(1370, 1, 184, 1),
(1371, 1, 193, 1),
(1372, 1, 209, 1),
(1373, 1, 202, 1),
(1374, 1, 200, 1),
(1375, 1, 119, 0),
(1376, 1, 121, 0),
(1377, 1, 123, 0),
(1378, 1, 8, 1),
(1379, 1, 102, 0),
(1380, 1, 59, 0),
(1381, 1, 241, 0),
(1382, 1, 220, 1),
(1383, 1, 156, 1),
(1384, 1, 133, 0),
(1385, 1, 134, 0),
(1386, 1, 56, 1),
(1387, 1, 219, 0),
(1388, 1, 154, 0),
(1389, 1, 155, 1),
(1390, 1, 135, 0),
(1391, 1, 57, 1),
(1392, 1, 73, 0),
(1393, 1, 205, 1),
(1394, 1, 136, 0),
(1395, 1, 237, 1),
(1396, 1, 58, 1),
(1397, 1, 162, 0),
(1398, 1, 137, 0),
(1399, 1, 214, 1),
(1400, 1, 215, 1),
(1401, 1, 138, 0),
(1402, 1, 79, 1),
(1403, 1, 139, 0),
(1404, 1, 144, 0),
(1405, 1, 228, 1),
(1406, 1, 142, 0),
(1407, 1, 143, 0),
(1408, 1, 221, 1),
(1409, 1, 145, 0),
(1410, 1, 222, 1),
(1411, 1, 150, 0),
(1412, 1, 235, 1),
(1413, 1, 153, 0),
(1414, 1, 175, 1),
(1415, 1, 217, 1),
(1416, 1, 216, 1),
(1417, 1, 229, 1),
(1418, 1, 170, 1),
(1419, 1, 210, 1),
(1420, 1, 233, 1),
(1421, 1, 226, 1),
(1422, 1, 225, 1),
(1423, 1, 227, 1),
(1424, 1, 90, 1),
(1425, 1, 91, 1),
(1426, 1, 140, 0),
(1427, 1, 146, 0),
(1428, 1, 92, 1),
(1429, 1, 149, 0),
(1430, 1, 93, 1),
(1431, 1, 117, 1),
(1432, 1, 94, 1),
(1433, 1, 95, 0),
(1434, 1, 151, 1),
(1435, 1, 152, 1),
(1436, 1, 96, 1),
(1437, 1, 207, 1),
(1438, 1, 213, 1),
(1439, 1, 230, 1),
(1440, 1, 231, 1),
(1441, 1, 196, 1),
(1442, 1, 195, 1),
(1443, 1, 185, 1),
(1444, 1, 186, 1),
(1445, 1, 189, 1),
(1446, 1, 187, 1),
(1447, 1, 188, 1),
(1448, 1, 190, 1),
(1449, 1, 201, 1),
(1450, 1, 157, 1),
(1451, 1, 158, 0),
(1452, 1, 159, 1),
(1453, 1, 71, 1),
(1454, 1, 74, 0),
(1455, 1, 60, 1),
(1456, 1, 130, 1),
(1457, 1, 131, 1),
(1458, 1, 147, 1),
(1459, 1, 148, 1),
(1460, 1, 163, 0),
(1461, 1, 164, 1),
(1462, 1, 168, 1),
(1463, 1, 169, 1),
(1464, 1, 172, 1),
(1465, 1, 173, 1),
(1466, 1, 174, 0),
(1467, 1, 253, 0),
(1468, 1, 107, 0),
(1469, 1, 240, 0),
(1470, 1, 232, 1),
(1471, 1, 113, 0),
(1472, 1, 114, 0),
(1473, 1, 116, 0),
(1474, 1, 115, 0),
(1475, 1, 160, 1),
(1476, 1, 161, 1),
(1477, 1, 167, 1),
(1481, 1, 1, 1),
(1512, 1, 3, 1),
(1548, 1, 84, 1),
(1572, 1, 5, 1),
(1643, 1, 89, 1),
(1691, 1, 7, 1),
(1716, 1, 171, 1),
(1722, 1, 106, 1),
(1737, 1, 55, 1),
(1761, 1, 64, 1),
(1764, 1, 65, 1),
(1767, 1, 66, 1),
(1876, 1, 198, 1),
(1879, 1, 199, 1),
(1891, 1, 208, 1),
(1896, 1, 218, 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `nomempresa`
--

CREATE TABLE IF NOT EXISTS `nomempresa` (
  `codigo` int(32) NOT NULL AUTO_INCREMENT,
  `nombre` varchar(250) COLLATE utf8_spanish_ci NOT NULL,
  `bd` varchar(250) COLLATE utf8_spanish_ci NOT NULL,
  `bd_contabilidad` varchar(250) COLLATE utf8_spanish_ci NOT NULL,
  `bd_nomina` varchar(250) COLLATE utf8_spanish_ci NOT NULL,
  `admis_activo` tinyint(1) NOT NULL DEFAULT '0',
  `contab_activo` tinyint(1) NOT NULL DEFAULT '0',
  `nomina_activo` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`codigo`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=2 ;

--
-- Volcado de datos para la tabla `nomempresa`
--

INSERT INTO `nomempresa` (`codigo`, `nombre`, `bd`, `bd_contabilidad`, `bd_nomina`, `admis_activo`, `contab_activo`, `nomina_activo`) VALUES
(1, 'Nueva Empresa', '', '', '', 1, 0, 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `operacion_nivel`
--

CREATE TABLE IF NOT EXISTS `operacion_nivel` (
  `operacion_id` int(11) NOT NULL AUTO_INCREMENT,
  `descripcion` varchar(100) NOT NULL,
  `nivel_id` int(1) NOT NULL,
  PRIMARY KEY (`operacion_id`),
  KEY `nivel_id` (`nivel_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=41 ;

--
-- Volcado de datos para la tabla `operacion_nivel`
--

INSERT INTO `operacion_nivel` (`operacion_id`, `descripcion`, `nivel_id`) VALUES
(1, 'Cambiar precio en facturacion', 3),
(2, 'Cambiar precio en ABM de productos', 3),
(3, 'Cambiar vendedor en facturacion', 3),
(4, 'Cambiar VTO en facturacion', 3),
(5, 'Permitir facturar por unidad', 3),
(6, 'Control de credito', 1),
(7, 'Autorizar facturas', 2),
(8, 'Cambiar lista en ABM clientes', 1),
(9, 'Listado de clientes y resumenes', 2),
(10, 'Modificacion de pedidos', 3),
(11, 'Modificacion de productos', 1),
(12, 'Pedidos sin stock', 5),
(13, 'Mostrar todos los precios', 5),
(14, 'Cambiar cuota en legajo', 1),
(15, 'Modificar cuota x legajo', 1),
(16, 'Pedido/Factura gerencial', 3),
(17, 'Autorizar cambio cond pago factura', 1),
(18, 'Negativo en gastos', 1),
(19, 'Cambiar desc en facturacion', 1),
(20, 'Modifica entradas', 1),
(21, 'Cambiar limite en ABM cliente', 1),
(22, 'Modificar pedido autorizado', 1),
(23, 'Borrar planilla de costos', 1),
(24, 'Cambiar unidad de medida', 1),
(25, 'Ver todas las terminales', 1),
(26, 'Dar alta de clientes', 5),
(27, 'Borrar cheque en garantia', 1),
(28, 'Modificar nombre en ABM cliente', 1),
(29, 'Actualizar tipo de cambio', 5),
(30, 'Cambiar sobregiro en ficha de cliente', 1),
(31, 'Cambiar costos en ABM productos', 1),
(32, 'Ver kardex detallado', 1),
(33, 'Limpiar archivo de muestras', 1),
(34, 'Reimpresion comprobantes excel', 1),
(35, 'Ver estado de cuenta ABM cliente', 5),
(36, 'Listado analitico', 5),
(37, 'Listado de caja', 5),
(38, 'Resumen de facturacion', 5),
(39, 'Analisis', 5),
(40, 'Resumen de caja', 5);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `permiso_detalle`
--

CREATE TABLE IF NOT EXISTS `permiso_detalle` (
  `cod_permiso_detalle` int(32) NOT NULL AUTO_INCREMENT,
  `permiso_detalle` varchar(100) CHARACTER SET utf8 COLLATE utf8_spanish_ci DEFAULT NULL,
  PRIMARY KEY (`cod_permiso_detalle`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Volcado de datos para la tabla `permiso_detalle`
--

INSERT INTO `permiso_detalle` (`cod_permiso_detalle`, `permiso_detalle`) VALUES
(1, 'Ver costo'),
(2, 'Bajo costo');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `permiso_rol_detalle`
--

CREATE TABLE IF NOT EXISTS `permiso_rol_detalle` (
  `cod_rol_detalle` int(32) NOT NULL AUTO_INCREMENT,
  `cod_permiso_detalle` int(32) NOT NULL,
  `cod_rol` int(32) NOT NULL,
  `permitido` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`cod_rol_detalle`),
  KEY `cod_rol` (`cod_rol`),
  KEY `cod_permiso_detalle` (`cod_permiso_detalle`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Volcado de datos para la tabla `permiso_rol_detalle`
--

INSERT INTO `permiso_rol_detalle` (`cod_rol_detalle`, `cod_permiso_detalle`, `cod_rol`, `permitido`) VALUES
(1, 1, 1, 1),
(2, 2, 1, 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `permiso_usuario_detalle`
--

CREATE TABLE IF NOT EXISTS `permiso_usuario_detalle` (
  `cod_permiso_usuario` int(32) NOT NULL AUTO_INCREMENT,
  `cod_permiso_detalle` int(32) NOT NULL,
  `cod_usuario` int(32) NOT NULL,
  `permitido` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`cod_permiso_usuario`),
  KEY `FK_usuario` (`cod_usuario`),
  KEY `cod_permiso_detalle` (`cod_permiso_detalle`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

--
-- Volcado de datos para la tabla `permiso_usuario_detalle`
--

INSERT INTO `permiso_usuario_detalle` (`cod_permiso_usuario`, `cod_permiso_detalle`, `cod_usuario`, `permitido`) VALUES
(3, 1, 3, 1),
(4, 2, 3, 1),
(5, 1, 4, 1),
(6, 2, 4, 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `roles`
--

CREATE TABLE IF NOT EXISTS `roles` (
  `cod_rol` int(32) NOT NULL AUTO_INCREMENT,
  `cod_empresa` int(11) NOT NULL,
  `cod_sistema` int(11) NOT NULL,
  `rol` varchar(50) NOT NULL,
  `descripcion` varchar(60) DEFAULT NULL,
  `estatus` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`cod_rol`),
  KEY `cod_sistema` (`cod_sistema`),
  KEY `cod_empresa` (`cod_empresa`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Volcado de datos para la tabla `roles`
--

INSERT INTO `roles` (`cod_rol`, `cod_empresa`, `cod_sistema`, `rol`, `descripcion`, `estatus`) VALUES
(1, 1, 1, 'administrador', 'administrador', 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `roles_usuario`
--

CREATE TABLE IF NOT EXISTS `roles_usuario` (
  `cod_roles_usuario` int(32) NOT NULL AUTO_INCREMENT,
  `cod_rol` int(32) NOT NULL,
  `cod_usuario` int(32) NOT NULL,
  PRIMARY KEY (`cod_roles_usuario`),
  KEY `cod_rol` (`cod_rol`),
  KEY `cod_usuario` (`cod_usuario`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `sistemas`
--

CREATE TABLE IF NOT EXISTS `sistemas` (
  `cod_sistema` int(32) NOT NULL AUTO_INCREMENT,
  `sistema` varchar(100) CHARACTER SET utf8 COLLATE utf8_spanish_ci DEFAULT NULL,
  PRIMARY KEY (`cod_sistema`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Volcado de datos para la tabla `sistemas`
--

INSERT INTO `sistemas` (`cod_sistema`, `sistema`) VALUES
(1, 'Administrativo'),
(2, 'Contabilidad'),
(3, 'Planilla');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `subseccion`
--

CREATE TABLE IF NOT EXISTS `subseccion` (
  `cod_subseccion` int(32) NOT NULL AUTO_INCREMENT,
  `opt_subseccion` varchar(80) NOT NULL COMMENT 'add, edit, delete',
  `archivo_tpl` varchar(100) NOT NULL,
  `archivo_php` varchar(100) NOT NULL,
  `cod_seccion` int(32) NOT NULL,
  `descripcion` varchar(100) NOT NULL,
  `clase` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`cod_subseccion`),
  KEY `FK_subseccion_1` (`cod_seccion`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=277 ;

--
-- Volcado de datos para la tabla `subseccion`
--

INSERT INTO `subseccion` (`cod_subseccion`, `opt_subseccion`, `archivo_tpl`, `archivo_php`, `cod_seccion`, `descripcion`, `clase`) VALUES
(1, 'edit', 'almacen_editar.tpl', 'almacen_editar.php', 55, 'Editar Almacen', 'editar'),
(2, 'delete', 'almacen_eliminar.tpl', 'almacen_eliminar.php', 55, 'Eliminar Almacen', 'eliminar'),
(3, 'add', 'zona_nuevo.tpl', 'zona_nuevo.php', 56, 'Agregrando Zona', 'btn_bg btnagregar'),
(4, 'edit', 'zona_editar.tpl', 'zona_editar.php', 56, 'Editar Zona', 'editar'),
(5, 'delete', 'zona_eliminar.tpl', 'zona_eliminar.php', 56, 'Eliminar Zona', 'eliminar'),
(6, 'add', 'vendedor_nuevo.tpl', 'vendedor_nuevo.php', 57, 'Incluyendo Vendedor', 'btn_bg btnagregar'),
(7, 'edit', 'vendedor_editar.tpl', 'vendedor_editar.php', 57, 'Editar Informacion del Vendedor', 'editar'),
(8, 'delete', 'vendedor_eliminar.tpl', 'vendedor_eliminar.php', 57, 'Eliminar Vendedor', 'eliminar'),
(9, 'add', 'departamento_nuevo.tpl', 'departamento_nuevo.php', 64, 'Agregando Departamento', 'btn_bg btnagregar'),
(10, 'edit', 'departamento_editar.tpl', 'departamento_editar.php', 64, 'Editar Departamento', 'editar'),
(11, 'delete', 'departamento_eliminar.tpl', 'departamento_eliminar.php', 64, 'Eliminar Departamento', 'eliminar'),
(12, 'add', 'grupo_nuevo.tpl', 'grupo_nuevo.php', 65, 'Agregando Grupo', 'btn_bg btnagregar'),
(13, 'edit', 'grupo_editar.tpl', 'grupo_editar.php', 65, 'Editar Grupo', 'editar'),
(14, 'delete', 'grupo_eliminar.tpl', 'grupo_eliminar.php', 65, 'Eliminar Grupo', 'eliminar'),
(15, 'add', 'linea_nuevo.tpl', 'linea_nuevo.php', 66, 'Agregando Linea', 'btn_bg btnagregar'),
(16, 'edit', 'linea_editar.tpl', 'linea_editar.php', 66, 'Editar Linea', 'editar'),
(17, 'delete', 'linea_eliminar.tpl', 'linea_eliminar.php', 66, 'Eliminar Linea', 'eliminar'),
(18, 'edit', 'cliente_editar.tpl', 'cliente_editar.php', 8, 'Editar Informacion del Cliente', 'editar'),
(19, 'delete', 'cliente_eliminar.tpl', 'cliente_eliminar.php', 8, 'Eliminar Cliente', 'eliminar'),
(20, 'add', 'producto_nuevo.tpl', 'producto_nuevo.php', 61, 'Agregando Producto', 'btn_bg btnagregar'),
(21, 'edit', 'producto_editar.tpl', 'producto_editar.php', 61, 'Editar Producto', 'editar'),
(22, 'delete', 'producto_eliminar.tpl', 'producto_eliminar.php', 61, 'Eliminar Producto', 'eliminar'),
(23, 'add', 'cliente_nuevo.tpl', 'cliente_nuevo.php', 8, 'Nuevo Cliente', 'btn_bg btnagregar'),
(24, 'add', 'servicio_nuevo.tpl', 'servicio_nuevo.php', 67, 'Incluyendo Nuevo Servicio', 'btn_bg btnagregar'),
(25, 'edit', 'servicio_editar.tpl', 'servicio_editar.php', 67, 'Editar Servicio', 'editar'),
(26, 'delete', 'servicio_eliminar.tpl', 'servicio_eliminar.php', 67, 'Eliminar Servicio', 'eliminar'),
(27, 'add', 'usuarios_nuevo.tpl', 'usuarios_nuevo.php', 68, 'Nuevo Usuario', 'btn_bg btnagregar'),
(28, 'edit', 'usuarios_editar.tpl', 'usuarios_editar.php', 68, 'Editar Usuario', 'editar'),
(29, 'delete', 'usuarios_eliminar.tpl', 'usuarios_eliminar.php', 68, 'Eliminar Usuario', 'eliminar'),
(30, 'add', 'cliente_nuevo.tpl', 'cliente_nuevo.php', 58, 'Incluyendo Cliente', 'btn_bg btnagregar'),
(31, 'edit', 'cliente_editar.tpl', 'cliente_editar.php', 58, 'Editar Informacion del Cliente', 'editar'),
(32, 'newfactura', 'factura_nueva.tpl', 'factura_nueva.php', 58, 'Nueva Factura', NULL),
(33, 'viewProductos', 'producto_existencia_almacen_viewProductos.tpl', 'producto_existencia_almacen_viewProductos.php', 69, 'Lista de Productos por Almacen', NULL),
(34, 'add', 'producto_existencia_almacen_viewProductosAgregar.tpl', 'producto_existencia_almacen_viewProductosAgregar.php', 69, 'Incluyendo Producto al Almacen', 'btn_bg btnagregar'),
(35, 'edit', 'producto_existencia_almacen_viewProductosEditar.tpl', 'producto_existencia_almacen_viewProductosEditar.php', 69, 'Editar Cantidad Existente del Producto', 'editar'),
(36, 'delete', 'producto_existencia_almacen_viewProductosEliminar.tpl', 'producto_existencia_almacen_viewProductosEliminar.php', 69, 'Eliminar Existencia del Producto', 'eliminar'),
(37, 'add', 'almacen_nuevo.tpl', 'almacen_nuevo.php', 55, 'Agregando Almacen', 'btn_bg btnagregar'),
(38, 'add', 'almacen_nuevo.tpl', 'almacen_nuevo.php', 55, 'Agregando Almacen', 'btn_bg btnagregar'),
(39, 'add', 'islr_nuevo.tpl', 'islr_nuevo.php', 70, 'Nuevo ISLR', 'btn_bg btnagregar'),
(40, 'edit', 'islr_editar.tpl', 'islr_editar.php', 70, 'Editar ISLR', 'editar'),
(41, 'delete', 'islr_eliminar.tpl', 'islr_eliminar.php', 70, 'Eliminar ISLR', 'eliminar'),
(42, 'add', 'boletos_nuevo.tpl', 'boletos_nuevo.php', 72, 'AÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â±adir Boleto', 'btn_bg btnagregar'),
(43, 'edit', 'boletos_editar.tpl', 'boletos_editar.php', 72, 'Editar Boleto', 'editar'),
(44, 'delete', 'boletos_eliminar.tpl', 'boletos_eliminar.php', 72, 'Eliminar Boleto', 'eliminar'),
(45, 'add', 'cliente_nuevo.tpl', 'cliente_nuevo.php', 73, 'Incluyendo Cliente', 'btn_bg btnagregar'),
(46, 'edit', 'cliente_editar.tpl', 'cliente_editar.php', 73, 'Editar Informacion del Cliente', 'editar'),
(47, 'newfactura', 'factura_nueva_boleto.tpl', 'factura_nueva_boleto.php', 73, 'Nueva Factura (Boletos)', NULL),
(48, 'add', 'responsable_nuevo.tpl', 'responsable_nuevo.php', 76, 'Incluyendo Responsable', 'btn_bg btnagregar'),
(49, 'edit', 'responsable_editar.tpl', 'responsable_editar.php', 76, 'Editar Responsable', 'editar'),
(50, 'delete', 'responsable_eliminar.tpl', 'responsable_eliminar.php', 76, 'Eliminar Responsable', 'eliminar'),
(51, 'add', 'banco_nuevo.tpl', 'banco_nuevo.php', 77, 'Incluir Banco', 'btn_bg btnagregar'),
(52, 'edit', 'banco_editar.tpl', 'banco_editar.php', 77, 'Editar Banco', 'editar'),
(53, 'delete', 'banco_eliminar.tpl', 'banco_eliminar.php', 77, 'Eliminar Banco', 'eliminar'),
(54, 'add', 'instrumentoformapago_nuevo.tpl', 'instrumentoformapago_nuevo.php', 78, 'Incluir Forma Pago', 'btn_bg btnagregar'),
(55, 'edit', 'instrumentoformapago_editar.tpl', 'instrumentoformapago_editar.php', 78, 'Editar Forma Pago', 'editar'),
(56, 'delete', 'instrumentoformapago_eliminar.tpl', 'instrumentoformapago_eliminar.php', 78, 'Eliminar Forma Pago', 'eliminar'),
(57, 'edocuenta', 'cxc_estadodecuenta.tpl', 'cxc_estadodecuenta.php', 59, 'Estado de Cuenta', NULL),
(58, 'newfactura', 'factura_nueva.tpl', 'factura_nueva.php', 59, 'Nueva Factura', NULL),
(59, 'pagooabono', 'cxc_pagooabono.tpl', 'cxc_pagooabono.php', 59, 'Nuevo Pago/Abono', NULL),
(60, 'add', 'retencioniva_nuevo.tpl', 'retencioniva_nuevo.php', 80, 'Agregar Nuevo Registro de Retencion I.V.A.', 'btn_bg btnagregar'),
(61, 'edit', 'retencioniva_editar.tpl', 'retencioniva_editar.php', 80, 'Editar Registro de Retencion I.V.A.', 'editar'),
(62, 'delete', 'retencioniva_eliminar.tpl', 'retencioniva_eliminar.php', 80, 'Eliminar Registro de Retencion I.V.A.', 'eliminar'),
(63, 'devolver_ps', 'devolucion_venta.tpl', 'devolucion_venta.php', 79, 'DevoluciÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â³n de Venta', 'anular'),
(64, 'add', 'proveedores_nuevo.tpl', 'proveedores_nuevo.php', 86, 'Incluir Nuevo Proveedor', 'btn_bg btnagregar'),
(65, 'edit', 'proveedores_editar.tpl', 'proveedores_editar.php', 86, 'Editar Informacion del proveedor', 'editar'),
(66, 'delete', 'proveedores_eliminar.tpl', 'proveedores_eliminar.php', 86, 'Eliminar Proveedor', 'eliminar'),
(67, 'newCompra', 'proveedores_compra_nuevo.tpl', 'proveedores_compra_nuevo.php', 87, 'Generar Nueva Compra', NULL),
(68, 'add', 'proveedores_nuevo.tpl', 'proveedores_nuevo.php', 87, 'Incluir Nuevo Proveedor', 'btn_bg btnagregar'),
(69, 'edit', 'proveedores_editar.tpl', 'proveedores_editar.php', 87, 'Editar Informacion del proveedor', 'editar'),
(70, 'delete', 'proveedores_eliminar.tpl', 'proveedores_eliminar.php', 87, 'Eliminar Proveedor', 'eliminar'),
(71, 'edocuenta', 'cxp_estadodecuenta.tpl', 'cxp_estadodecuenta.php', 88, 'Cuenta por pagar', NULL),
(72, 'pagoabonoCXP', 'cxp_pagoabono.tpl', 'cxp_pagoabono.php', 88, 'Agregar Abono de compra', NULL),
(73, 'add', 'banco_nuevo.tpl', 'banco_nuevo.php', 90, 'Incluir Banco', 'btn_bg btnagregar'),
(74, 'edit', 'banco_editar.tpl', 'banco_editar.php', 90, 'Editar Banco', 'editar'),
(75, 'viewcuentasByBanco', 'tesoreria_banco_cuentas.tpl', 'tesoreria_banco_cuentas.php', 90, 'Cuentas', NULL),
(76, 'addCuentaByBanco', 'tesoreria_banco_cuentas_agregar.tpl', 'tesoreria_banco_cuentas_agregar.php', 90, 'Incluir Cuenta Bancaria', NULL),
(77, 'editCuentaByBanco', 'tesoreria_banco_cuentas_editar.tpl', 'tesoreria_banco_cuentas_editar.php', 90, 'Editar Cuenta', NULL),
(78, 'deleteCuentaByBanco', 'tesoreria_banco_cuentas_eliminar.tpl', 'tesoreria_banco_cuentas_eliminar.php', 90, 'Eliminar Cuenta', NULL),
(79, 'listaChequeraCuentaB', 'listaChequeraCuentaByBanco.tpl', 'listaChequeraCuentaByBanco.php', 90, 'Lista de Chequeras', NULL),
(80, 'listaChequeraCuentaByBanco', 'tesoreria_listaChequeraCuentaByBanco.tpl', 'tesoreria_listaChequeraCuentaByBanco.php', 90, 'Lista de Chequeras', NULL),
(81, 'addChequeraCuentaByBanco', 'tesoreria_addChequeraCuentaByBanco.tpl', 'tesoreria_addChequeraCuentaByBanco.php', 90, 'Nuevo Cheque', NULL),
(82, 'editChequeraCuentaByBanco', 'tesoreria_editChequeraCuentaByBanco.tpl', 'tesoreria_editChequeraCuentaByBanco.php', 90, 'Editar Chequera', NULL),
(83, 'deleteChequeraCuentaByBanco', 'tesoreria_deleteChequeraCuentaByBanco.tpl', 'tesoreria_deleteChequeraCuentaByBanco.php', 90, 'Eliminar Chequera', NULL),
(84, 'generarChequeraCuentaByBanco', 'tesoreria_generarChequeraCuentaByBanco.tpl', 'tesoreria_generarChequeraCuentaByBanco.php', 90, 'Generar Chequera', NULL),
(85, 'activarChequeraCuentaByBanco', 'tesoreria_activarChequeraCuentaByBanco.tpl', 'tesoreria_activarChequeraCuentaByBanco.php', 90, 'Activar Cheques', NULL),
(86, 'consumirChequeraCuentaByBanco', 'tesoreria_consumirChequeraCuentaByBanco.tpl', 'tesoreria_consumirChequeraCuentaByBanco.php', 90, 'Consumir Chequera', NULL),
(87, 'depositoChequeraCuentaByBanco', 'tesoreria_depositoChequeraCuentaByBanco.tpl', 'tesoreria_depositoChequeraCuentaByBanco.php', 90, 'Cambiar a Estatus Deposito', NULL),
(88, 'ver_chequesChequeraCuentaByBanco', 'tesoreria_ver_chequesChequeraCuentaByBanco.tpl', 'tesoreria_ver_chequesChequeraCuentaByBanco.php', 90, 'Cheques', NULL),
(89, 'verChequerasByBanco', 'tesoreria_banco_cuentasSeleccioneParaCuenta.tpl', 'tesoreria_banco_cuentasSeleccioneParaCuenta.php', 91, 'Cuentas', NULL),
(90, 'SeleccionlistaChequeraCuentaByBanco', 'tesoreria_SeleccionlistaChequeraCuentaByBanco.tpl', 'tesoreria_SeleccionlistaChequeraCuentaByBanco.php', 91, 'Chequeras Activas', NULL),
(91, 'hacerCheque', 'tesoreria_hacerCheque.tpl', 'tesoreria_hacerCheque.php', 91, 'Cheque por CxP / Cheque por Beneficiario', NULL),
(92, 'viewmovimientosByBanco', 'tesoreria_banco_movimientos.tpl', 'tesoreria_banco_movimientos.php', 93, 'Cuentas', NULL),
(93, 'movimientosCuentaByBanco', 'tesoreria_lista_movimientos_bancarios.tpl', 'tesoreria_lista_movimientos_bancarios.php', 93, 'Lista de Movimientos Bancarios', NULL),
(94, 'addMovimientoCuentaByBanco', 'tesoreria_addMovimientoCuentaByBanco.tpl', 'tesoreria_addMovimientoCuentaByBanco.php', 93, 'Agregar Movimientos Bancarios', NULL),
(95, 'editMovimientoCuentaByBanco', 'tesoreria_editMovimientoCuentaByBanco.tpl', 'tesoreria_editMovimientoCuentaByBanco.php', 93, 'Editar Movimientos Bancarios', NULL),
(96, 'deleteMovimientoCuentaByBanco', 'tesoreria_deleteMovimientoCuentaByBanco.tpl', 'tesoreria_deleteMovimientoCuentaByBanco.php', 93, 'Eliminar Movimientos Bancarios', NULL),
(97, 'edit', 'tipos_movimientos_bancarios_edit.tpl', 'tipos_movimientos_bancarios_edit.php', 96, 'Editar Tipo de Movimiento', 'editar'),
(98, 'delete', 'tipos_movimientos_bancarios_delete.tpl', 'tipos_movimientos_bancarios_delete.php', 96, 'Eliminar Tipo Movimiento', 'eliminar'),
(99, 'add', 'tipos_movimientos_bancarios_add.tpl', 'tipos_movimientos_bancarios_add.php', 96, 'Agregar Tipo de Movimiento', 'btn_bg btnagregar'),
(100, 'edit', 'impuesto_municipal_ica_edit.tpl', 'impuesto_municipal_ica_edit.php', 97, 'Editar Impuesto ICA', 'editar'),
(101, 'delete', 'impuesto_municipal_ica_delete.tpl', 'impuesto_municipal_ica_delete.php', 97, 'Eliminar Impuesto ICA', 'eliminar'),
(102, 'add', 'impuesto_municipal_ica_add.tpl', 'impuesto_municipal_ica_add.php', 97, 'Agregar Impuesto ICA', 'btn_bg btnagregar'),
(103, 'edit', 'tipo_impuesto_editar.tpl', 'tipo_impuesto_editar.php', 98, 'Editar Tipo de Impuesto', 'editar'),
(104, 'delete', 'tipo_impuesto_eliminar.tpl', 'tipo_impuesto_eliminar.php', 98, 'Eliminar Tipo de Impuesto', 'eliminar'),
(105, 'add', 'tipo_impuesto_nuevo.tpl', 'tipo_impuesto_nuevo.php', 98, 'Agregar Tipo de Impuesto', 'btn_bg btnagregar'),
(106, 'edit', 'entidad_editar.tpl', 'entidad_editar.php', 99, 'Editar Entidad', 'editar'),
(107, 'delete', 'entidad_eliminar.tpl', 'entidad_eliminar.php', 99, 'Eliminar Entidad', 'eliminar'),
(108, 'add', 'entidad_nuevo.tpl', 'entidad_nuevo.php', 99, 'Agregar Entidad', 'btn_bg btnagregar'),
(109, 'edit', 'formulacion_impuestos_editar.tpl', 'formulacion_impuestos_editar.php', 100, 'Editar Formulacion de Impuesto', 'editar'),
(110, 'delete', 'formulacion_impuestos_eliminar.tpl', 'formulacion_impuestos_eliminar.php', 100, 'Eliminar Formulacion de Impuesto', 'eliminar'),
(111, 'add', 'formulacion_impuestos_nuevo.tpl', 'formulacion_impuestos_nuevo.php', 100, 'Agregar Formulacion de Impuesto', 'btn_bg btnagregar'),
(112, 'edit', 'lista_impuestos_editar.tpl', 'lista_impuestos_editar.php', 101, 'Editar Impuesto', 'editar'),
(113, 'delete', 'lista_impuestos_eliminar.tpl', 'lista_impuestos_eliminar.php', 101, 'Eliminar Impuesto', 'eliminar'),
(114, 'add', 'lista_impuestos_nuevo.tpl', 'lista_impuestos_nuevo.php', 101, 'Agregar Impuesto', 'btn_bg btnagregar'),
(115, 'add', 'tipo_cliente.tpl', 'tipo_cliente_nuevo.php', 102, 'Agregandar Tipo de Cliente', 'btn_bg btnagregar'),
(116, 'edit', 'tipo_cliente_editar.tpl', 'tipo_cliente_editar.php', 102, 'Editar Tipo de Cliente', 'editar'),
(117, 'delete', 'tipo_cliente_eliminar.tpl', 'tipo_cliente_eliminar.php', 102, 'Eliminar Tipo de Cliente', 'eliminar'),
(118, 'edit', 'divisas_editar.tpl', 'divisas_editar.php', 104, 'Editar Divisas', 'editar'),
(119, 'add', 'divisas_agregar.tpl', 'divisas_agregar.php', 104, 'Agregar Divisa', 'btn_bg btnagregar'),
(120, 'add', 'divisas_agregar2.tpl', 'divisas_agregar2.php', 105, 'Agregar Tasa Cambio', 'btn_bg btnagregar'),
(121, 'edit', 'tasa_editar.tpl', 'tasa_editar.php', 105, 'Editar Tasa de Cambio', 'editar'),
(122, 'add', 'tipo_movimientos_almacen_nuevo.tpl', 'tipo_movimientos_almacen_nuevo.php', 112, 'Agregar Tipo de Movimiento de Almacen', 'btn_bg btnagregar'),
(123, 'edit', 'tipo_movimientos_almacen_editar.tpl', 'tipo_movimientos_almacen_editar.php', 112, 'Editar Tipo de Movimiento de Almacen', 'editar'),
(124, 'delete', 'tipo_movimientos_almacen_eliminar.tpl', 'tipo_movimientos_almacen_eliminar.php', 112, 'Eliminar Tipo de Movimiento de Almacen', 'eliminar'),
(125, 'add', 'entrada_almacen_nuevo.tpl', 'entrada_almacen_nuevo.php', 109, 'Agregar Entrada de Almacen', 'btn_bg btnagregar'),
(126, 'edit', 'entrada_almacen_editar.tpl', 'entrada_almacen_editar.php', 109, 'Editar Entrada de Almacen', 'editar'),
(127, 'delete', 'entrada_almacen_eliminar.tpl', 'entrada_almacen_eliminar.php', 109, 'Eliminar Entrada de Almacen', 'eliminar'),
(128, 'add', 'salida_almacen_nuevo.tpl', 'salida_almacen_nuevo.php', 110, 'Agregar Salida de Almacen', 'btn_bg btnagregar'),
(129, 'edit', 'salida_almacen_editar.tpl', 'salida_almacen_editar.php', 110, 'Editar Salida de Almacen', 'editar'),
(130, 'delete', 'salida_almacen_eliminar.tpl', 'salida_almacen_eliminar.php', 110, 'Eliminar Salida de Almacen', 'eliminar'),
(131, 'add', 'traslado_almacen_nuevo.tpl', 'traslado_almacen_nuevo.php', 111, 'Agregar Traslado de Almacen', NULL),
(132, 'edit', 'traslado_almacen_editar.tpl', 'traslado_almacen_editar.php', 111, 'Editar Traslado de Almacen', NULL),
(133, 'delete', 'traslado_almacen_eliminar.tpl', 'traslado_almacen_eliminar.php', 111, 'Eliminar Traslado de Almacen', NULL),
(134, 'CuentaByBancoConciliacion', 'tesoreria_banco_movimientos_conciliacion.tpl', 'tesoreria_banco_movimientos_conciliacion.php', 94, 'Cuentas', NULL),
(135, 'seleccionFechaAconciliar', 'tesoreria_fechas_concilar.tpl', 'tesoreria_fechas_concilar.php', 94, 'Especifique el mes a conciliar', NULL),
(136, 'tesoreria_conciliar', 'tesoreria_concilar.tpl', 'tesoreria_concilar.php', 94, 'Conciliar', NULL),
(137, 'add', 'proveedores_especialidad_add.tpl', 'proveedores_especialidad_add.php', 132, 'Agregar Especialidad Proveedor', 'btn_bg btnagregar'),
(138, 'edit', 'proveedores_especialidad_edit.tpl', 'proveedores_especialidad_edit.php', 132, 'Editar Especialidad', 'editar'),
(139, 'delete', 'proveedores_especialidad_delete.tpl', 'proveedores_especialidad_delete.php', 132, 'Eliminar Especialidad', 'eliminar'),
(140, 'facturasCXP', 'cxp_facturas.tpl', 'cxp_facturas.php', 88, 'Facturas de compra', NULL),
(141, 'addFac', 'cxp_facturas_nuevo.tpl', 'cxp_facturas_nuevo.php', 88, 'Agregar Factura', NULL),
(142, 'pendienteFactura', 'cxc_pendiente.tpl', 'cxc_pendiente.php', 133, 'Cuenta por cobrar Pendiente', NULL),
(143, 'autorizarFactura', 'cxc_autorizar.tpl', 'cxc_autorizar.php', 134, 'Cuenta por Cobrar Enviadas', NULL),
(144, 'pagarFactura', 'cxc_pagar.tpl', 'cxc_pagar.php', 135, 'Cuenta por Cobrar ', NULL),
(145, 'cxpFacturasMedico', 'cxp_facturas_medico.tpl', 'cxp_facturas_medico.php', 140, 'Facturas por pagar medico', NULL),
(146, 'add', 'tipo_proveedor_agregar.tpl', 'tipo_proveedor_agregar.php', 141, 'Agregar Tipo de Proveedor', 'btn_bg btnagregar'),
(147, 'edit', 'tipo_proveedor_editar.tpl', 'tipo_proveedor_editar.php', 141, 'Editar Tipo de Proveedor', 'editar'),
(148, 'delete', 'tipo_proveedor_eliminar.tpl', 'tipo_proveedor_eliminar.php', 141, 'Eliminar Tipo de Proveedor', 'eliminar'),
(149, 'imprimirFacturas', 'facturasxmedico.tpl', 'facturasxmedico.php', 140, 'Facturas por Medico', NULL),
(150, 'view', 'cxp_facturas_ver.tpl', 'cxp_facturas_ver.php', 88, 'Ver factura', NULL),
(151, 'verCuentasPorBanco', 'tesoreria_banco_cuentasSeleccioneParaCuentaTransf.tpl', 'tesoreria_banco_cuentasSeleccioneParaCuentaTransf.php', 151, 'Cuentas', NULL),
(152, 'transferencias', 'tesoreria_transferencia.tpl', 'tesoreria_transferencia.php', 151, 'Ver Transferencias', NULL),
(153, 'hacerTransferencia', 'tesoreria_hacerTransferencia.tpl', 'tesoreria_hacerTransferencia.php', 151, 'Hacer transferencia', NULL),
(154, 'imprimirFactxCheque', 'listaFactxCheque.tpl', 'listaFactxCheque.php', 152, 'Lista Factura x Cheque', NULL),
(155, 'new', 'presupuesto_nuevo.tpl', 'presupuesto_nuevo.php', 156, 'Nuevo Presupuesto/Cotizacion', NULL),
(156, 'add', 'cliente_nuevo.tpl', 'cliente_nuevo.php', 156, 'Agregrando Cliente', 'btn_bg btnagregar'),
(157, 'edit', 'cliente_editar.tpl', 'cliente_editar.php', 156, 'Editar Cliente', 'editar'),
(158, 'new', 'pedido_nuevo.tpl', 'pedido_nuevo.php', 155, 'Nuevo Pedido', NULL),
(159, 'add', 'cliente_nuevo.tpl', 'cliente_nuevo.php', 155, 'Agregrando Cliente', 'btn_bg btnagregar'),
(160, 'edit', 'cliente_editar.tpl', 'cliente_editar.php', 155, 'Editar Cliente', 'editar'),
(161, 'new', 'nota_entrega_nueva.tpl', 'nota_entrega_nueva.php', 154, 'Nueva Nota de Entrega', NULL),
(162, 'add', 'cliente_nuevo.tpl', 'cliente_nuevo.php', 154, 'Agregrando Cliente', 'btn_bg btnagregar'),
(163, 'edit', 'cliente_editar.tpl', 'cliente_editar.php', 154, 'Editar Cliente', 'editar'),
(164, 'delete', 'anular_pedido.tpl', 'anular_pedido.php', 159, 'Anular Pedido', 'eliminar'),
(165, 'delete', 'anular_nota_entrega.tpl', 'anular_nota_entrega.php', 158, 'Anular Notas de Entrega', 'eliminar'),
(166, 'newfactura_rapida', 'factura_rapida_nueva.tpl', 'factura_rapida_nueva.php', 58, 'Nueva Factura Rapida', 'newfactura'),
(167, 'delete', 'anular_compra.tpl', 'anular_compra.php', 60, 'Anular Compra', 'eliminar'),
(168, 'movimientosSelReportesByBanco', 'tesoreria_sel_reportes.tpl', 'tesoreria_sel_reportes.php', 93, 'Reportes de Movimientos Bancarios', NULL),
(169, 'add', 'paises_nuevo.tpl', 'pais_nuevo.php', 175, 'Incluyendo Pais', 'btn_bg btnagregar'),
(170, 'edit', 'paises_editar.tpl', 'paises_editar.php', 175, 'Editando Pais', 'editar'),
(171, 'delete', 'paises_eliminar.tpl', 'paises_eliminar.php', 175, 'Eliminando Pais', 'eliminar'),
(172, 'add', 'item_categoria_nuevo.tpl', 'item_categoria_nuevo.php', 176, 'Incluyendo Categoria de Items', NULL),
(173, 'edit', 'item_categoria_editar.tpl', 'item_categoria_editar.php', 176, 'Editando Categoria de Items', NULL),
(174, 'delete', 'item_categoria_eliminar.tpl', 'item_categoria_eliminar.php', 176, 'Eliminando Categoria de Items', NULL),
(175, 'add', 'item_tipo_nuevo.tpl', 'item_tipo_nuevo.php', 177, 'Incluyendo Tipo de Items', NULL),
(176, 'edit', 'item_tipo_editar.tpl', 'item_tipo_editar.php', 177, 'Editando Tipo de Items', NULL),
(177, 'delete', 'item_tipo_eliminar.tpl', 'item_tipo_eliminar.php', 177, 'Eliminando Tipo de Items', NULL),
(178, 'edit', 'licencia_editar.tpl', 'licencia_editar.php', 178, 'Editando Licencia de Items', NULL),
(179, 'add', 'licencia_nuevo.tpl', 'licencia_nuevo.php', 178, 'Incluyendo Licencia de Items', NULL),
(180, 'edit', 'posicion_arancel_editar.tpl', 'posicion_arancel_editar.php', 179, 'Editando Posicion Arancelaria', NULL),
(181, 'add', 'posicion_arancel_nuevo.tpl', 'posicion_arancel_nuevo.php', 179, 'Incluyendo Posicion Arancelaria', NULL),
(182, 'delete', 'licencia_eliminar.tpl', 'licencia_eliminar.php', 178, 'Eliminando Licencia de Items', NULL),
(183, 'delete', 'posicion_arancel_eliminar.tpl', 'posicion_arancel_eliminar.php', 179, 'Eliminando Posicion Arancelaria', NULL),
(184, 'add', 'unidades_nuevo.tpl', 'unidades_nuevo.php', 180, 'Incluyendo Unidades de medida', NULL),
(185, 'edit', 'unidades_editar.tpl', 'unidades_editar.php', 180, 'Editando Unidades de medida', NULL),
(186, 'delete', 'unidades_eliminar.tpl', 'unidades_eliminar.php', 180, 'Eliminando Unidades de medida', NULL),
(187, 'add', 'ubicacion_nuevo.tpl', 'ubicacion_nuevo.php', 181, 'Incluyendo Ubicaciones', NULL),
(188, 'edit', 'ubicacion_editar.tpl', 'ubicacion_editar.php', 181, 'Editando Ubicaciones', NULL),
(189, 'delete', 'ubicacion_eliminar.tpl', 'ubicacion_eliminar.php', 181, 'Eliminando Ubicaciones', NULL),
(190, 'add', 'material_nuevo.tpl', 'material_nuevo.php', 182, 'Incluyendo Materiales', NULL),
(191, 'edit', 'material_editar.tpl', 'material_editar.php', 182, 'Editando Materiales', NULL),
(192, 'delete', 'material_eliminar.tpl', 'material_eliminar.php', 182, 'Eliminando Materiales', NULL),
(193, 'edit', 'tejido_editar.tpl', 'tejido_editar.php', 183, 'Editando Tejidos', NULL),
(194, 'add', 'tejido_nuevo.tpl', 'tejido_nuevo.php', 183, 'Incluyendo Tejido', NULL),
(195, 'delete', 'tejido_eliminar.tpl', 'tejido_eliminar.php', 183, 'Eliminando Tejido', NULL),
(196, 'edit', 'tipo_persona_editar.tpl', 'tipo_persona_editar.php', 184, 'Editando Tipos de Personas', 'editar'),
(197, 'add', 'tipo_persona_nuevo.tpl', 'tipo_persona_nuevo.php', 184, 'Incluyendo Tipos de Personas', 'btn_bg btnagregar'),
(198, 'delete', 'tipo_persona_eliminar.tpl', 'tipo_persona_eliminar.php', 184, 'Eliminando Tipo de Persona', 'eliminar'),
(199, 'new_pedido', 'pedido_rapido_nuevo_opcional.tpl', 'pedido_rapido_nuevo.php', 155, 'Nuevo Pedido', NULL),
(200, 'add', 'forma_pago_crud.tpl', 'forma_pago_crud.php', 190, 'Forma de Pago', 'btn_bg btnagregar'),
(201, 'edit', 'forma_pago_crud.tpl', 'forma_pago_crud.php', 190, 'Forma de Pago', 'editar'),
(202, 'delete', 'forma_pago.tpl', 'forma_pago.php', 190, 'Forma pago / Eliminar\r\n', 'eliminar'),
(203, 'add', 'pago_proveedor_nuevo.tpl', 'pago_proveedor_nuevo.php', 193, 'Incluyendo Pagos a Proveedores', 'btn_bg btnagregar'),
(204, 'edit', 'pago_proveedor_editar.tpl', 'pago_proveedor_editar.php', 193, 'Editando Pagos a Proveedores', 'editar'),
(205, 'delete', 'pago_proveedor_eliminar.tpl', 'pago_proveedor_eliminar.php', 193, 'Eliminando Pagos a Proveedores', 'eliminar'),
(206, 'proveedorCxp', 'proveedorcxp.tpl', 'proveedorcxp.php', 86, 'Cuentas por pagar Proveedores', NULL),
(207, 'edit', 'color_editar.tpl', 'color_editar.php', 198, 'Editando Colores', 'editar'),
(208, 'add', 'color_nuevo.tpl', 'color_nuevo.php', 198, 'Incluyendo Color', 'btn_bg btnagregar'),
(209, 'delete', 'color_eliminar.tpl', 'color_eliminar.php', 198, 'Eliminando Color', 'eliminar'),
(210, 'delete', 'talla_eliminar.tpl', 'talla_eliminar.php', 199, 'Eliminando Tallas', 'eliminar'),
(211, 'add', 'talla_nuevo.tpl', 'talla_nuevo.php', 199, 'Incluyendo Tallas', 'btn_bg btnagregar'),
(212, 'edit', 'talla_editar.tpl', 'talla_editar.php', 199, 'Editando Tallas', 'editar'),
(213, 'colorTalla', 'color_talla.tpl', 'color_talla.php', 61, 'Editando Colores y Tallas', 'colortalla'),
(214, 'view', 'proveedores_ver.tpl', 'proveedores_ver.php', 200, 'Ver proveedor ', NULL),
(215, 'add', 'egresos_consulta_terceros_add.tpl', 'egresos_consulta_terceros_add.php', 201, 'A,B,M Consulta de Terceros', 'btn_bg btnagregar'),
(216, 'edit', 'egresos_consulta_terceros_edit.tpl', 'egresos_consulta_terceros_edit.php', 201, 'A,B,M Consulta de Terceros', 'editar'),
(217, 'delete', 'egresos_consulta_terceros_delete.tpl', 'egresos_consulta_terceros_delete.php', 201, 'A,B,M Consulta de Terceros', 'eliminar'),
(219, 'edocuenta', 'cxc_estadodecuenta.tpl', 'cxc_estadodecuenta.php', 8, 'Estado de Cuenta', 'edocuenta'),
(220, 'view', 'producto_consultar.tpl', 'producto_consultar.php', 61, 'Consultar Producto', 'consultar'),
(221, 'add', 'precio_letras_nuevo.tpl', 'precio_letras_nuevo.php', 204, 'Agregando Precios en Letras ', 'btn_bg btnagregar'),
(222, 'edit', 'precio_letras_editar.tpl', 'precio_letras_editar.php', 204, 'Editando Precios en Letras', 'editar'),
(223, 'delete', 'precio_letras_eliminar.tpl', 'precio_letras_eliminar.php', 204, 'Eliminando Precios en Letras', 'eliminar'),
(224, 'add', 'calculo_costos.tpl', 'calculo_costos.php', 202, 'Calcular Costos', 'btn_bg btnagregar'),
(225, 'add', 'ingreso_cobranza_clientes.tpl', 'ingreso_cobranza_clientes.php', 185, 'Ingreso Cobranza a Cliente', 'btn_bg btnagregar'),
(226, 'add', 'egresos_pago_proveedores.tpl', 'egresos_pago_proveedores.php', 188, 'Agrega Egresos Pago a Proveedores', 'btn_bg btnagregar'),
(227, 'add', 'distribucion.tpl', 'distribucion.php', 206, 'Distribucion', 'btn_bg btnagregar'),
(228, 'reempaque', 'reempaque_prod.tpl', 'reempaque_prod.php', 208, 'Reempaque de productos', NULL),
(229, 'add', 'certificado_regalo.tpl', 'certificado_regalo.php', 213, 'Certificado de Regalo', 'btn_bg btnagregar'),
(230, 'newfactura_rapida', 'factura_modelo_rapida.tpl', 'factura_modelo_rapida.php', 216, 'Nueva Factura Rapida', NULL),
(231, 'reempaque', 'reempaque_prod_re.tpl', 'reempaque_prod_re.php', 218, 'Reempaque de productos', NULL),
(232, 'newfactura_rapida', 'factura_modelo_directa.tpl', 'factura_modelo_directa.php', 214, 'Factura directa', NULL),
(236, 'add', 'puerto_salida_nuevo.tpl', 'puerto_salida_nuevo.php', 225, '', 'btn_bg btnagregar'),
(237, 'edit', 'puerto_salida_editar.tpl', 'puerto_salida_editar.php', 225, '', 'editar'),
(239, 'delete', 'puerto_salida_eliminar.tpl', 'puerto_salida_eliminar.php', 225, '', 'eliminar'),
(243, 'newfactura_rapida', 'factura_modelo_concepto.tpl', 'factura_modelo_concepto.php', 215, 'Facturacion por concepto', NULL),
(244, 'edit', 'editar_pedido.tpl', 'editar_pedido.php', 159, 'Editar Pedido', 'editar'),
(245, 'add', 'ingreso_cambio_cheques.tpl', 'ingreso_cambio_cheques.php', 187, 'Ingresos / Cambio de cheques', 'btn_bg btnagregar'),
(246, 'add', 'otros_egresos.tpl', 'otros_egresos.php', 189, 'Otros Egresos', 'btn_bg btnagregar'),
(247, 'add', 'otros_ingresos.tpl', 'otros_ingresos.php', 186, 'Otros Ingresos', 'btn_bg btnagregar'),
(248, 'add', 'zona_franca_nuevo.tpl', 'zona_franca_nuevo.php', 226, 'Agregar Zona Franca', 'btn_bg btnagregar'),
(249, 'edit', 'zona_franca_editar.tpl', 'zona_franca_editar.php', 226, 'Editar Zona Franca', 'editar'),
(250, 'delete', 'zona_franca_eliminar.tpl', 'zona_franca_eliminar.php', 226, 'Eliminar Zona Franca', 'eliminar'),
(251, 'add', 'grupo_economico_nuevo.tpl', 'grupo_economico_nuevo.php''', 227, 'Agregar Grupo Ecomico', NULL),
(252, 'edit', 'grupo_economico_editar.tpl', 'grupo_economico_editar.php', 227, 'Editar Grupo Ecomico', NULL),
(253, 'delete', 'grupo_economico_eliminar.tpl', 'grupo_economico_eliminar.php', 227, 'Eliminar Grupo Economico', NULL),
(254, 'salida', 'trafico/salida.tpl', 'trafico/salida.php', 229, 'Trafico Salida', 'NULL'),
(255, 'ListarFacturas', 'trafico/lista_facturas.tpl', 'trafico/lista_facturas.php', 229, 'Lista de Facturas', 'NULL'),
(256, 'stock_por_bodega', 'existencia_bodega_por_item.tpl', 'existencia_bodega_por_item.php', 58, 'Existencia por Bodega', 'btn'),
(257, 'venta_item_clienta', 'venta_item_cliente.tpl', 'venta_item_cliente.php', 58, 'Venta de item por cliente', NULL),
(258, 'kardex_del_articulo', 'kardex_del_articulo.tpl', 'kardex_del_articulo.php', 58, 'Kardex del articulo', NULL),
(259, 'traspaso', 'trafico/traspaso.tpl', 'trafico/traspaso.php', 229, 'Trafico Traspaso', NULL),
(260, 'entrada', 'trafico/entrada.tpl', 'trafico/entrada.php', 229, 'Trafico Entrada', NULL),
(261, 'documentos', 'trafico/documentos.tpl', 'trafico/documentos.php', 229, 'Generacion de Documentos', NULL),
(262, 'stock_por_bodega', 'existencia_bodega_por_item.tpl', 'existencia_bodega_por_item.php', 155, 'Existencia por Bodega', NULL),
(263, 'venta_item_clienta', 'venta_item_cliente.tpl', 'venta_item_cliente.php', 155, 'Venta de item por cliente', NULL),
(264, 'kardex_del_articulo', 'kardex_del_articulo.tpl', 'kardex_del_articulo.php', 155, 'Kardex del articulo', NULL),
(265, 'newfactura_rapida', 'factura_modelo_detal.tpl', 'factura_modelo_detal.php', 233, 'Factura detal', 'editar'),
(266, 'copy', 'producto_copiar.tpl', 'producto_copiar.php', 61, 'Copiar Producto', 'editar'),
(273, 'add', 'cliente_nuevo.tpl', 'cliente_nuevo.php', 216, 'Agregar Cliente', NULL),
(274, 'add', 'cliente_nuevo.tpl', 'cliente_nuevo.php', 214, 'Agregar Cliente', NULL),
(276, 'add', 'ingreso_distribucion_nuevo.tpl', 'ingreso_distribucion_nuevo.php', 252, 'Ingreso por Distribucion', NULL);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `subseccion_rol`
--

CREATE TABLE IF NOT EXISTS `subseccion_rol` (
  `cod_subseccion_rol` int(32) NOT NULL AUTO_INCREMENT,
  `cod_rol` int(32) NOT NULL,
  `cod_modulo` int(32) NOT NULL,
  `cod_subseccion` int(32) NOT NULL,
  `permitido` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`cod_subseccion_rol`),
  UNIQUE KEY `cod_rol_2` (`cod_rol`,`cod_modulo`,`cod_subseccion`),
  KEY `cod_rol` (`cod_rol`),
  KEY `cod_modulo` (`cod_modulo`),
  KEY `cod_subseccion` (`cod_subseccion`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=517 ;

--
-- Volcado de datos para la tabla `subseccion_rol`
--

INSERT INTO `subseccion_rol` (`cod_subseccion_rol`, `cod_rol`, `cod_modulo`, `cod_subseccion`, `permitido`) VALUES
(1, 1, 8, 18, 1),
(2, 1, 8, 19, 1),
(3, 1, 8, 23, 1),
(4, 1, 8, 219, 1),
(5, 1, 55, 1, 1),
(6, 1, 55, 2, 1),
(7, 1, 55, 37, 1),
(8, 1, 55, 38, 1),
(9, 1, 56, 3, 1),
(10, 1, 56, 4, 1),
(11, 1, 56, 5, 1),
(12, 1, 57, 6, 1),
(13, 1, 57, 7, 1),
(14, 1, 57, 8, 1),
(15, 1, 58, 30, 1),
(16, 1, 58, 31, 1),
(17, 1, 58, 32, 1),
(18, 1, 58, 166, 1),
(19, 1, 58, 256, 1),
(20, 1, 58, 257, 1),
(21, 1, 58, 258, 1),
(22, 1, 59, 57, 0),
(23, 1, 59, 58, 0),
(24, 1, 59, 59, 0),
(25, 1, 60, 167, 1),
(26, 1, 61, 20, 1),
(27, 1, 61, 21, 1),
(28, 1, 61, 22, 1),
(29, 1, 61, 213, 1),
(30, 1, 61, 220, 1),
(31, 1, 61, 266, 1),
(32, 1, 64, 9, 1),
(33, 1, 64, 10, 1),
(34, 1, 64, 11, 1),
(35, 1, 65, 12, 1),
(36, 1, 65, 13, 1),
(37, 1, 65, 14, 1),
(38, 1, 66, 15, 1),
(39, 1, 66, 16, 1),
(40, 1, 66, 17, 1),
(41, 1, 67, 24, 1),
(42, 1, 67, 25, 1),
(43, 1, 67, 26, 1),
(44, 1, 68, 27, 1),
(45, 1, 68, 28, 1),
(46, 1, 68, 29, 1),
(47, 1, 69, 33, 0),
(48, 1, 69, 34, 0),
(49, 1, 69, 35, 0),
(50, 1, 69, 36, 0),
(51, 1, 70, 39, 0),
(52, 1, 70, 40, 0),
(53, 1, 70, 41, 0),
(54, 1, 72, 42, 0),
(55, 1, 72, 43, 0),
(56, 1, 72, 44, 0),
(57, 1, 73, 45, 0),
(58, 1, 73, 46, 0),
(59, 1, 73, 47, 0),
(60, 1, 76, 48, 0),
(61, 1, 76, 49, 0),
(62, 1, 76, 50, 0),
(63, 1, 77, 51, 0),
(64, 1, 77, 52, 0),
(65, 1, 77, 53, 0),
(66, 1, 78, 54, 1),
(67, 1, 78, 55, 1),
(68, 1, 78, 56, 1),
(69, 1, 79, 63, 1),
(70, 1, 80, 60, 0),
(71, 1, 80, 61, 0),
(72, 1, 80, 62, 0),
(73, 1, 86, 64, 1),
(74, 1, 86, 65, 1),
(75, 1, 86, 66, 1),
(76, 1, 86, 206, 1),
(77, 1, 87, 67, 1),
(78, 1, 87, 68, 1),
(79, 1, 87, 69, 1),
(80, 1, 87, 70, 1),
(81, 1, 88, 71, 1),
(82, 1, 88, 72, 1),
(83, 1, 88, 140, 1),
(84, 1, 88, 141, 1),
(85, 1, 88, 150, 1),
(86, 1, 90, 73, 1),
(87, 1, 90, 74, 1),
(88, 1, 90, 75, 1),
(89, 1, 90, 76, 1),
(90, 1, 90, 77, 1),
(91, 1, 90, 78, 1),
(92, 1, 90, 79, 1),
(93, 1, 90, 80, 1),
(94, 1, 90, 81, 1),
(95, 1, 90, 82, 1),
(96, 1, 90, 83, 1),
(97, 1, 90, 84, 1),
(98, 1, 90, 85, 1),
(99, 1, 90, 86, 1),
(100, 1, 90, 87, 1),
(101, 1, 90, 88, 1),
(102, 1, 91, 89, 1),
(103, 1, 91, 90, 1),
(104, 1, 91, 91, 1),
(105, 1, 93, 92, 1),
(106, 1, 93, 93, 1),
(107, 1, 93, 94, 1),
(108, 1, 93, 95, 1),
(109, 1, 93, 96, 1),
(110, 1, 93, 168, 1),
(111, 1, 94, 134, 1),
(112, 1, 94, 135, 1),
(113, 1, 94, 136, 1),
(114, 1, 96, 97, 1),
(115, 1, 96, 98, 1),
(116, 1, 96, 99, 1),
(117, 1, 97, 100, 0),
(118, 1, 97, 101, 0),
(119, 1, 97, 102, 0),
(120, 1, 98, 103, 1),
(121, 1, 98, 104, 1),
(122, 1, 98, 105, 1),
(123, 1, 99, 106, 1),
(124, 1, 99, 107, 1),
(125, 1, 99, 108, 1),
(126, 1, 100, 109, 1),
(127, 1, 100, 110, 1),
(128, 1, 100, 111, 1),
(129, 1, 101, 112, 1),
(130, 1, 101, 113, 1),
(131, 1, 101, 114, 1),
(132, 1, 102, 115, 0),
(133, 1, 102, 116, 0),
(134, 1, 102, 117, 0),
(135, 1, 104, 118, 0),
(136, 1, 104, 119, 0),
(137, 1, 105, 120, 0),
(138, 1, 105, 121, 0),
(139, 1, 109, 125, 1),
(140, 1, 109, 126, 1),
(141, 1, 109, 127, 1),
(142, 1, 110, 128, 1),
(143, 1, 110, 129, 1),
(144, 1, 110, 130, 1),
(145, 1, 111, 131, 0),
(146, 1, 111, 132, 0),
(147, 1, 111, 133, 0),
(148, 1, 112, 122, 0),
(149, 1, 112, 123, 0),
(150, 1, 112, 124, 0),
(151, 1, 132, 137, 1),
(152, 1, 132, 138, 1),
(153, 1, 132, 139, 1),
(154, 1, 133, 142, 0),
(155, 1, 134, 143, 0),
(156, 1, 135, 144, 0),
(157, 1, 140, 145, 0),
(158, 1, 140, 149, 0),
(159, 1, 141, 146, 1),
(160, 1, 141, 147, 1),
(161, 1, 141, 148, 1),
(162, 1, 151, 151, 0),
(163, 1, 151, 152, 0),
(164, 1, 151, 153, 0),
(165, 1, 152, 154, 0),
(166, 1, 154, 161, 0),
(167, 1, 154, 162, 0),
(168, 1, 154, 163, 0),
(169, 1, 155, 158, 1),
(170, 1, 155, 159, 1),
(171, 1, 155, 160, 1),
(172, 1, 155, 199, 1),
(173, 1, 155, 262, 1),
(174, 1, 155, 263, 1),
(175, 1, 155, 264, 1),
(176, 1, 156, 155, 1),
(177, 1, 156, 156, 1),
(178, 1, 156, 157, 1),
(179, 1, 158, 165, 0),
(180, 1, 159, 164, 1),
(181, 1, 159, 244, 1),
(182, 1, 175, 169, 1),
(183, 1, 175, 170, 1),
(184, 1, 175, 171, 1),
(185, 1, 176, 172, 0),
(186, 1, 176, 173, 0),
(187, 1, 176, 174, 0),
(188, 1, 177, 175, 0),
(189, 1, 177, 176, 0),
(190, 1, 177, 177, 0),
(191, 1, 178, 178, 0),
(192, 1, 178, 179, 0),
(193, 1, 178, 182, 0),
(194, 1, 179, 180, 0),
(195, 1, 179, 181, 0),
(196, 1, 179, 183, 0),
(197, 1, 180, 184, 0),
(198, 1, 180, 185, 0),
(199, 1, 180, 186, 0),
(200, 1, 181, 187, 0),
(201, 1, 181, 188, 0),
(202, 1, 181, 189, 0),
(203, 1, 182, 190, 0),
(204, 1, 182, 191, 0),
(205, 1, 182, 192, 0),
(206, 1, 183, 193, 0),
(207, 1, 183, 194, 0),
(208, 1, 183, 195, 0),
(209, 1, 184, 196, 1),
(210, 1, 184, 197, 1),
(211, 1, 184, 198, 1),
(212, 1, 185, 225, 1),
(213, 1, 186, 247, 0),
(214, 1, 187, 245, 1),
(215, 1, 188, 226, 1),
(216, 1, 189, 246, 1),
(217, 1, 190, 200, 1),
(218, 1, 190, 201, 1),
(219, 1, 190, 202, 1),
(220, 1, 193, 203, 1),
(221, 1, 193, 204, 1),
(222, 1, 193, 205, 1),
(223, 1, 198, 207, 1),
(224, 1, 198, 208, 1),
(225, 1, 198, 209, 1),
(226, 1, 199, 210, 1),
(227, 1, 199, 211, 1),
(228, 1, 199, 212, 1),
(229, 1, 200, 214, 1),
(230, 1, 201, 215, 1),
(231, 1, 201, 216, 1),
(232, 1, 201, 217, 1),
(233, 1, 202, 224, 1),
(234, 1, 204, 221, 1),
(235, 1, 204, 222, 1),
(236, 1, 204, 223, 1),
(237, 1, 206, 227, 1),
(238, 1, 208, 228, 1),
(239, 1, 213, 229, 1),
(240, 1, 214, 232, 1),
(241, 1, 215, 243, 1),
(242, 1, 216, 230, 1),
(243, 1, 218, 231, 1),
(244, 1, 225, 236, 1),
(245, 1, 225, 237, 1),
(246, 1, 225, 239, 1),
(247, 1, 226, 248, 1),
(248, 1, 226, 249, 1),
(249, 1, 226, 250, 1),
(250, 1, 227, 251, 0),
(251, 1, 227, 252, 0),
(252, 1, 227, 253, 0),
(253, 1, 229, 254, 1),
(254, 1, 229, 255, 1),
(255, 1, 229, 259, 1),
(256, 1, 229, 260, 1),
(257, 1, 229, 261, 1),
(258, 1, 233, 265, 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `subseccion_usuario`
--

CREATE TABLE IF NOT EXISTS `subseccion_usuario` (
  `cod_subseccion_usuario` int(32) NOT NULL AUTO_INCREMENT,
  `cod_usuario` int(32) NOT NULL,
  `cod_modulo` int(32) NOT NULL,
  `cod_subseccion` int(32) NOT NULL,
  `permitido` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`cod_subseccion_usuario`),
  UNIQUE KEY `cod_usuario_2` (`cod_usuario`,`cod_modulo`,`cod_subseccion`),
  KEY `cod_usuario` (`cod_usuario`),
  KEY `cod_subseccion` (`cod_subseccion`),
  KEY `cod_modulo` (`cod_modulo`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2078 ;

--
-- Volcado de datos para la tabla `subseccion_usuario`
--

INSERT INTO `subseccion_usuario` (`cod_subseccion_usuario`, `cod_usuario`, `cod_modulo`, `cod_subseccion`, `permitido`) VALUES
(1037, 1, 8, 18, 1),
(1038, 1, 8, 19, 1),
(1039, 1, 8, 219, 1),
(1040, 1, 8, 23, 1),
(1041, 1, 55, 37, 1),
(1042, 1, 55, 38, 1),
(1043, 1, 55, 1, 1),
(1044, 1, 55, 2, 1),
(1045, 1, 56, 3, 1),
(1046, 1, 56, 4, 1),
(1047, 1, 56, 5, 1),
(1048, 1, 57, 7, 1),
(1049, 1, 57, 8, 1),
(1050, 1, 57, 6, 1),
(1051, 1, 58, 31, 1),
(1052, 1, 58, 256, 1),
(1053, 1, 58, 30, 1),
(1054, 1, 58, 258, 1),
(1055, 1, 58, 32, 1),
(1056, 1, 58, 166, 1),
(1057, 1, 58, 257, 1),
(1058, 1, 59, 57, 0),
(1059, 1, 59, 58, 0),
(1060, 1, 59, 59, 0),
(1061, 1, 60, 167, 1),
(1062, 1, 61, 20, 1),
(1063, 1, 61, 220, 1),
(1064, 1, 61, 266, 1),
(1065, 1, 61, 213, 1),
(1066, 1, 61, 21, 1),
(1067, 1, 61, 22, 1),
(1068, 1, 64, 9, 1),
(1069, 1, 64, 10, 1),
(1070, 1, 64, 11, 1),
(1071, 1, 65, 12, 1),
(1072, 1, 65, 13, 1),
(1073, 1, 65, 14, 1),
(1074, 1, 66, 15, 1),
(1075, 1, 66, 16, 1),
(1076, 1, 66, 17, 1),
(1077, 1, 67, 25, 1),
(1078, 1, 67, 26, 1),
(1079, 1, 67, 24, 1),
(1080, 1, 68, 28, 1),
(1081, 1, 68, 29, 1),
(1082, 1, 68, 27, 1),
(1083, 1, 69, 35, 0),
(1084, 1, 69, 36, 0),
(1085, 1, 69, 34, 0),
(1086, 1, 69, 33, 0),
(1087, 1, 70, 40, 0),
(1088, 1, 70, 41, 0),
(1089, 1, 70, 39, 0),
(1090, 1, 72, 42, 0),
(1091, 1, 72, 43, 0),
(1092, 1, 72, 44, 0),
(1093, 1, 73, 46, 0),
(1094, 1, 73, 45, 0),
(1095, 1, 73, 47, 0),
(1096, 1, 76, 49, 0),
(1097, 1, 76, 50, 0),
(1098, 1, 76, 48, 0),
(1099, 1, 77, 52, 0),
(1100, 1, 77, 53, 0),
(1101, 1, 77, 51, 0),
(1102, 1, 78, 55, 1),
(1103, 1, 78, 56, 1),
(1104, 1, 78, 54, 1),
(1105, 1, 79, 63, 1),
(1106, 1, 80, 60, 0),
(1107, 1, 80, 61, 0),
(1108, 1, 80, 62, 0),
(1109, 1, 86, 206, 1),
(1110, 1, 86, 65, 1),
(1111, 1, 86, 66, 1),
(1112, 1, 86, 64, 1),
(1113, 1, 87, 69, 1),
(1114, 1, 87, 70, 1),
(1115, 1, 87, 67, 1),
(1116, 1, 87, 68, 1),
(1117, 1, 88, 72, 1),
(1118, 1, 88, 141, 1),
(1119, 1, 88, 71, 1),
(1120, 1, 88, 140, 1),
(1121, 1, 88, 150, 1),
(1122, 1, 90, 85, 1),
(1123, 1, 90, 87, 1),
(1124, 1, 90, 88, 1),
(1125, 1, 90, 86, 1),
(1126, 1, 90, 75, 1),
(1127, 1, 90, 74, 1),
(1128, 1, 90, 82, 1),
(1129, 1, 90, 77, 1),
(1130, 1, 90, 83, 1),
(1131, 1, 90, 78, 1),
(1132, 1, 90, 84, 1),
(1133, 1, 90, 73, 1),
(1134, 1, 90, 76, 1),
(1135, 1, 90, 80, 1),
(1136, 1, 90, 79, 1),
(1137, 1, 90, 81, 1),
(1138, 1, 91, 91, 1),
(1139, 1, 91, 90, 1),
(1140, 1, 91, 89, 1),
(1141, 1, 93, 94, 1),
(1142, 1, 93, 92, 1),
(1143, 1, 93, 95, 1),
(1144, 1, 93, 96, 1),
(1145, 1, 93, 93, 1),
(1146, 1, 93, 168, 1),
(1147, 1, 94, 136, 1),
(1148, 1, 94, 134, 1),
(1149, 1, 94, 135, 1),
(1150, 1, 96, 99, 1),
(1151, 1, 96, 97, 1),
(1152, 1, 96, 98, 1),
(1153, 1, 97, 102, 0),
(1154, 1, 97, 100, 0),
(1155, 1, 97, 101, 0),
(1156, 1, 98, 105, 1),
(1157, 1, 98, 103, 1),
(1158, 1, 98, 104, 1),
(1159, 1, 99, 108, 1),
(1160, 1, 99, 106, 1),
(1161, 1, 99, 107, 1),
(1162, 1, 100, 111, 1),
(1163, 1, 100, 109, 1),
(1164, 1, 100, 110, 1),
(1165, 1, 101, 114, 1),
(1166, 1, 101, 112, 1),
(1167, 1, 101, 113, 1),
(1168, 1, 102, 115, 0),
(1169, 1, 102, 116, 0),
(1170, 1, 102, 117, 0),
(1171, 1, 104, 119, 0),
(1172, 1, 104, 118, 0),
(1173, 1, 105, 120, 0),
(1174, 1, 105, 121, 0),
(1175, 1, 109, 125, 1),
(1176, 1, 109, 126, 1),
(1177, 1, 109, 127, 1),
(1178, 1, 110, 128, 1),
(1179, 1, 110, 129, 1),
(1180, 1, 110, 130, 1),
(1181, 1, 111, 131, 0),
(1182, 1, 111, 132, 0),
(1183, 1, 111, 133, 0),
(1184, 1, 112, 122, 0),
(1185, 1, 112, 123, 0),
(1186, 1, 112, 124, 0),
(1187, 1, 132, 137, 1),
(1188, 1, 132, 138, 1),
(1189, 1, 132, 139, 1),
(1190, 1, 133, 142, 0),
(1191, 1, 134, 143, 0),
(1192, 1, 135, 144, 0),
(1193, 1, 140, 149, 0),
(1194, 1, 140, 145, 0),
(1195, 1, 141, 146, 1),
(1196, 1, 141, 147, 1),
(1197, 1, 141, 148, 1),
(1198, 1, 151, 151, 0),
(1199, 1, 151, 153, 0),
(1200, 1, 151, 152, 0),
(1201, 1, 152, 154, 0),
(1202, 1, 154, 162, 0),
(1203, 1, 154, 163, 0),
(1204, 1, 154, 161, 0),
(1205, 1, 155, 159, 1),
(1206, 1, 155, 160, 1),
(1207, 1, 155, 262, 1),
(1208, 1, 155, 264, 1),
(1209, 1, 155, 199, 1),
(1210, 1, 155, 158, 1),
(1211, 1, 155, 263, 1),
(1212, 1, 156, 156, 1),
(1213, 1, 156, 157, 1),
(1214, 1, 156, 155, 1),
(1215, 1, 158, 165, 0),
(1216, 1, 159, 164, 1),
(1217, 1, 159, 244, 1),
(1218, 1, 175, 170, 1),
(1219, 1, 175, 171, 1),
(1220, 1, 175, 169, 1),
(1221, 1, 176, 173, 0),
(1222, 1, 176, 174, 0),
(1223, 1, 176, 172, 0),
(1224, 1, 177, 176, 0),
(1225, 1, 177, 177, 0),
(1226, 1, 177, 175, 0),
(1227, 1, 178, 178, 0),
(1228, 1, 178, 182, 0),
(1229, 1, 178, 179, 0),
(1230, 1, 179, 180, 0),
(1231, 1, 179, 183, 0),
(1232, 1, 179, 181, 0),
(1233, 1, 180, 185, 0),
(1234, 1, 180, 186, 0),
(1235, 1, 180, 184, 0),
(1236, 1, 181, 188, 0),
(1237, 1, 181, 189, 0),
(1238, 1, 181, 187, 0),
(1239, 1, 182, 191, 0),
(1240, 1, 182, 192, 0),
(1241, 1, 182, 190, 0),
(1242, 1, 183, 193, 0),
(1243, 1, 183, 195, 0),
(1244, 1, 183, 194, 0),
(1245, 1, 184, 196, 1),
(1246, 1, 184, 198, 1),
(1247, 1, 184, 197, 1),
(1248, 1, 185, 225, 1),
(1249, 1, 186, 247, 0),
(1250, 1, 187, 245, 1),
(1251, 1, 188, 226, 1),
(1252, 1, 189, 246, 1),
(1253, 1, 190, 200, 1),
(1254, 1, 190, 201, 1),
(1255, 1, 190, 202, 1),
(1256, 1, 193, 204, 1),
(1257, 1, 193, 205, 1),
(1258, 1, 193, 203, 1),
(1259, 1, 198, 207, 1),
(1260, 1, 198, 209, 1),
(1261, 1, 198, 208, 1),
(1262, 1, 199, 212, 1),
(1263, 1, 199, 210, 1),
(1264, 1, 199, 211, 1),
(1265, 1, 200, 214, 1),
(1266, 1, 201, 215, 1),
(1267, 1, 201, 216, 1),
(1268, 1, 201, 217, 1),
(1269, 1, 202, 224, 1),
(1270, 1, 204, 221, 1),
(1271, 1, 204, 222, 1),
(1272, 1, 204, 223, 1),
(1273, 1, 206, 227, 1),
(1274, 1, 208, 228, 1),
(1275, 1, 213, 229, 1),
(1276, 1, 214, 274, 0),
(1277, 1, 214, 232, 1),
(1278, 1, 215, 243, 1),
(1279, 1, 216, 273, 0),
(1280, 1, 216, 230, 1),
(1281, 1, 218, 231, 1),
(1282, 1, 225, 239, 1),
(1283, 1, 225, 236, 1),
(1284, 1, 225, 237, 1),
(1285, 1, 226, 248, 1),
(1286, 1, 226, 249, 1),
(1287, 1, 226, 250, 1),
(1288, 1, 227, 251, 0),
(1289, 1, 227, 252, 0),
(1290, 1, 227, 253, 0),
(1291, 1, 229, 261, 1),
(1292, 1, 229, 255, 1),
(1293, 1, 229, 260, 1),
(1294, 1, 229, 254, 1),
(1295, 1, 229, 259, 1),
(1296, 1, 233, 265, 1),
(1297, 1, 252, 276, 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuarios`
--

CREATE TABLE IF NOT EXISTS `usuarios` (
  `cod_usuario` int(32) NOT NULL AUTO_INCREMENT,
  `cod_empresa` int(11) DEFAULT NULL,
  `nombreyapellido` varchar(50) NOT NULL,
  `usuario` varchar(50) NOT NULL,
  `clave` varchar(60) NOT NULL,
  `departamento` varchar(25) NOT NULL,
  `ultima_sesion` timestamp NULL DEFAULT NULL,
  `perfil` int(11) NOT NULL,
  `foto` varchar(250) DEFAULT NULL,
  `email` varchar(100) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `status` enum('A','I') NOT NULL DEFAULT 'A',
  `nivel_id` int(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`cod_usuario`),
  KEY `cod_empresa` (`cod_empresa`),
  KEY `usuario` (`usuario`),
  KEY `nivel_id` (`nivel_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Volcado de datos para la tabla `usuarios`
--

INSERT INTO `usuarios` (`cod_usuario`, `cod_empresa`, `nombreyapellido`, `usuario`, `clave`, `departamento`, `ultima_sesion`, `perfil`, `foto`, `email`, `status`, `nivel_id`) VALUES
(1, 1, 'Admin', 'admin', '21232f297a57a5a743894a0e4a801fc3', '1', '2014-07-22 06:04:38', 1, NULL, 'admin@admin.com', 'A', 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuario_nivel`
--

CREATE TABLE IF NOT EXISTS `usuario_nivel` (
  `nivel_id` int(1) NOT NULL AUTO_INCREMENT,
  `descripcion` varchar(50) NOT NULL,
  PRIMARY KEY (`nivel_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Volcado de datos para la tabla `usuario_nivel`
--

INSERT INTO `usuario_nivel` (`nivel_id`, `descripcion`) VALUES
(1, 'Nivel 1'),
(2, 'Nivel 2'),
(3, 'Nivel 3'),
(4, 'NIvel 4'),
(5, 'Nivel 5');

--
-- Restricciones para tablas volcadas
--

--
-- Filtros para la tabla `datos_empresa`
--
ALTER TABLE `datos_empresa`
  ADD CONSTRAINT `datos_empresa_ibfk_1` FOREIGN KEY (`cod_empresa`) REFERENCES `nomempresa` (`codigo`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `modulo_rol`
--
ALTER TABLE `modulo_rol`
  ADD CONSTRAINT `modulo_rol_ibfk_2` FOREIGN KEY (`cod_modulo`) REFERENCES `modulos` (`cod_modulo`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `modulo_rol_ibfk_1` FOREIGN KEY (`cod_rol`) REFERENCES `roles` (`cod_rol`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `modulo_usuario`
--
ALTER TABLE `modulo_usuario`
  ADD CONSTRAINT `modulo_usuario_ibfk_2` FOREIGN KEY (`cod_modulo`) REFERENCES `modulos` (`cod_modulo`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `modulo_usuario_ibfk_1` FOREIGN KEY (`cod_usuario`) REFERENCES `usuarios` (`cod_usuario`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `operacion_nivel`
--
ALTER TABLE `operacion_nivel`
  ADD CONSTRAINT `operacion_nivel_ibfk_1` FOREIGN KEY (`nivel_id`) REFERENCES `usuario_nivel` (`nivel_id`);

--
-- Filtros para la tabla `roles_usuario`
--
ALTER TABLE `roles_usuario`
  ADD CONSTRAINT `roles_usuario_ibfk_1` FOREIGN KEY (`cod_usuario`) REFERENCES `usuarios` (`cod_usuario`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `roles_usuario_ibfk_2` FOREIGN KEY (`cod_rol`) REFERENCES `roles` (`cod_rol`) ON UPDATE CASCADE;

--
-- Filtros para la tabla `subseccion`
--
ALTER TABLE `subseccion`
  ADD CONSTRAINT `subseccion_ibfk_1` FOREIGN KEY (`cod_seccion`) REFERENCES `modulos` (`cod_modulo`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `subseccion_rol`
--
ALTER TABLE `subseccion_rol`
  ADD CONSTRAINT `subseccion_rol_ibfk_3` FOREIGN KEY (`cod_subseccion`) REFERENCES `subseccion` (`cod_subseccion`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `subseccion_rol_ibfk_1` FOREIGN KEY (`cod_rol`) REFERENCES `roles` (`cod_rol`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `subseccion_rol_ibfk_2` FOREIGN KEY (`cod_modulo`) REFERENCES `modulos` (`cod_modulo`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `subseccion_usuario`
--
ALTER TABLE `subseccion_usuario`
  ADD CONSTRAINT `subseccion_usuario_ibfk_3` FOREIGN KEY (`cod_subseccion`) REFERENCES `subseccion` (`cod_subseccion`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `subseccion_usuario_ibfk_1` FOREIGN KEY (`cod_usuario`) REFERENCES `usuarios` (`cod_usuario`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `subseccion_usuario_ibfk_2` FOREIGN KEY (`cod_modulo`) REFERENCES `modulos` (`cod_modulo`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `usuarios`
--
ALTER TABLE `usuarios`
  ADD CONSTRAINT `usuarios_ibfk_2` FOREIGN KEY (`cod_empresa`) REFERENCES `nomempresa` (`codigo`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `usuarios_ibfk_3` FOREIGN KEY (`nivel_id`) REFERENCES `usuario_nivel` (`nivel_id`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
