<?php

require_once '../BDControlador.php';
require_once '../Session.php';

class ModeloEmpresa {
	
	private $bd = null;


        public function getEmpresasCombo($request){
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();

            $sql = "select codigo cod_empresa,nombre from nomempresa ";
            $this->bd->setQuery($sql);	
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
            $matches = Array();			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return ($matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,"error"=> "Ha ocurrido un error: ".$e->getMessage(),'mensaje' => "Error durante la operacion",'error' => $arrayError,'file_name' => 'casos_lista_sin_credito');
		}		
	}	

    public function getPaisCombo($request){
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();

            $sql = "select * from paises ";
            $this->bd->setQuery($sql);	
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
            $matches = Array();			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return ($matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,"error"=> "Ha ocurrido un error: ".$e->getMessage(),'mensaje' => "Error durante la operacion",'error' => $arrayError,'file_name' => 'casos_lista_sin_credito');
		}		
	}
}

?>