
existenciaForm = function(){
	// Arrays de detalle
	var Ncont = 0;
	
        var storeListaExistencia = null;
	var gridItems = null;

return{
	
	idWin:function(){return 'existenciaForm-win';},
	
	moduleFields: fields_articulo.concat(fields_almacen),
	
	initRecordDef : function(){
		return new Ext.data.Record.create(existenciaForm.moduleFields);
	},
	           
	initColumnModel : function(){
	               return new Ext.grid.ColumnModel([
	                   {header: 'C&oacute;digo', width:20, dataIndex:'codigo_item',  hidden: false, groupable: false},
	                   {header: 'Descripci&oacute;n', dataIndex:'descripcion_item',  sortable: true, groupable: false,
                           renderer:function(v, p, record){
                                return v;//record.data.codigo_item+" - "+
                           }},
	                   {header: 'Marca', width:50,  dataIndex:'marca',  sortable: true, groupable: false},
	                   {header: 'Modelo', width:50,   dataIndex:'modelo',  sortable: true, groupable: false},
	                   {header: 'Almac&eacute;n', width:35, dataIndex:'almacen',  sortable: true, groupable: false},
	                   {header: 'Existencia', width:25,   dataIndex:'existencia_total',  sortable: false, groupable: false, summaryType: 'totalExistencia',
                           renderer:function(v, p, record){
                                return formatTotal(v, false, true);
                           },
                           summaryRenderer: function(v, params, record){
	       	    		return formatTotal(v, false, true);
	    	            }},
	                   {header: 'Comprometido', width:30,   dataIndex:'existe_solicitado',  sortable: false, groupable: false, summaryType: 'totalComprometido',
                           renderer:function(v, p, record){
                                return formatTotal(v, false, true);
                           },
                           summaryRenderer: function(v, params, record){
	       	    		return formatTotal(v, false, true);
	    	            }}
	               ]);
	},

    Init:function(){
        
    function buscar(){
    	var patron = Ext.getCmp('patronbuscar-lista-existencia').getValue();
    	storeListaExistencia.load({
                    params:{
                            start:0, 
                            limit:25,
                            patronbuscar : patron,
                            accion: 'Articulo//Obtener_Existencia',
                            output:'json'
                    }});
	}
    
    storeListaExistencia = new Ext.data.GroupingStore({
    	storeId:'store-item-solicitud-sustitucion',
        proxy:new Ext.data.HttpProxy({url:ROOT_DIR+'clases/controladores/ControladorApp.php'}),
        remoteSort : true,
        restful : true,
        baseParams: {
                  moduleId: 'configuracion'
        },
        reader: new Ext.data.JsonReader({
            totalProperty: "totalCount",
            root: "matches" // ,id: "bl"
            }, existenciaForm.initRecordDef()),
        groupField: 'descripcion_item',
        listeners: {
            load: function(Store ,records, options){ 
                this.baseParams.start;
                this.baseParams.limit;
                this.baseParams.output = 'json';
                this.baseParams.patronbuscar = Ext.getCmp('patronbuscar-lista-existencia').getValue();
                this.baseParams.accion =  'Articulo//Obtener_Existencia';
            }
        }
    });
    storeListaExistencia.load({
                    params:{
                            start:0, 
                            limit:25,
                            patronbuscar : '',
                            accion: 'Articulo//Obtener_Existencia',
                            output:'json'
                    }});
    
    var tbGridSust = new Ext.Toolbar({
		id:'tbb-lista-existencia',
		autoDestroy:false,
    	buttonAlign: 'right',
    	items:	[ 
            {
                text:'Exportar',
                id:'export-btn-lin-reg',
                tooltip:'Click para exportar lista de regalos',
                icon: ROOT_DIR+'imagenes/icons/page_excel.png',
                handler: function(){
                    var urlReportExcel = ROOT_DIR+"clases/controladores/ControladorApp.php?accion=Articulo//Obtener_Reporte_Existencia&output=excel";
                        //alert(urlReportExcel);
                    document.location.href = urlReportExcel;
                }
            },
             {
      		xtype: 'textfield',
              allowBlank : false,
              minLength: 5,
              maxLength: 25,
              name: 'patronbuscar-lista-existencia',
              id: 'patronbuscar-lista-existencia',
              anchor:'50%',
              selectOnFocus : true,            		
              listeners:{
		        	specialkey: function(patronBlbuscar,e){ 
		            	if (e.getKey() == e.ENTER) { 
                                    buscar('patronbuscar-lista-existencia'); 
		            	}
        			}
      			}
              }, {
              text:'Buscar',
              id:'buscar-btn-lista-existencia',
              tooltip:'Click para buscar',
              iconCls:'edit',
              icon: ROOT_DIR+'imagenes/icons/page_find.png',
              handler: function(){buscar('patronbuscar-lista-usuarios');}}]
    
    });
    
    Ext.ux.grid.GroupSummary.Calculations['totalExistencia'] = function(v, record, field){
        	return (v + record.data.existencia_total);
    };      
    Ext.ux.grid.GroupSummary.Calculations['totalComprometido'] = function(v, record, field){
        	return (v + record.data.existe_solicitado);
    };      
        
    var summary = new Ext.ux.grid.GroupSummary();
    
    gridItems= new Ext.grid.GridPanel({
        id: 'grid-lista-items-existencia',
        autoScroll:true,
        viewConfig:{forceFit:true},
        border:true,
        height: 640,//490
        tbar:tbGridSust,
    	enableDragDrop   : true,
        stripeRows: true,
        ds: storeListaExistencia,
        cm: existenciaForm.initColumnModel(),
        remoteSort:true,
        shadow: false,
        shadowOffset: 0,
        sm:  new Ext.grid.RowSelectionModel({
            singleSelect:true,
            listeners: {
                rowselect: function(SelectionModel,rownumber,row){
                }
            }
        }),
        view: new Ext.grid.GroupingView({
            forceFit: true,
            showGroupName: false,
            enableNoGroups: false,
            enableGroupingMenu: true,
            hideGroupedColumn: true
        }),
        plugins: [summary],
        listeners:{
        	dblclick:function(e){
        	}
        },
            bbar: [
                    new Ext.PagingToolbar({
		                pageSize:25,
		                store: storeListaExistencia,
		                displayInfo: true,
		                displayMsg: "Mostrando Registros {0} - {1} of {2}",
		                emptyMsg: "No Existen Registros para mostrar" 
                    })
                   ]
    });
    
    var tabForm = new Ext.FormPanel({
        url: ROOT_DIR+'clases/controladores/ControladorApp.php',
        labelAlign: 'top',
        id: 'list-existencia-form',
        bodyStyle:'padding:5px',
        width: 800,
        layout: 'form',
        items: [gridItems]
    });
    
    
    existenciaFormWin = new Ext.Window({
        closeAction:'hide',
        closable:EXIT_REPORT_WINDOW,
        draggable: true,
        modal: true,
        id: 'existenciaForm-win',
        layout: 'fit',
        maximizable:false,
        minHeight: 250,
        minWidth: 500,
        plain: false,
        resizable: true,
        items: [ tabForm ],
        title: 'Existencia de art&iacute;culos',
        height: 680,//490
        width: 1024,
        listeners:{
            afterrender:function(e){                
            }
        },
        customLoad:function(){
            storeListaExistencia.load({
                    params:{
                            start:0, 
                            limit:25,
                            patronbuscar : '',
                            accion: 'Articulo//Obtener_Existencia',
                            output:'json'
                    }});
        }
    });
    
    existenciaFormWin.show();
}
};
}();
//
Ext.onReady(existenciaForm.Init, existenciaForm, true);
//existenciaForm.Init();

