
adminConfForm = function(){
	var storeConf = null;
        
return{
	
	idWin:function(){return 'adminConfForm-win';},
	
	moduleFields: fields_conf,
	
	initRecordDef : function(){
		return new Ext.data.Record.create(adminConfForm.moduleFields);
	},
	           
	initColumnModel : function(){
	               return new Ext.grid.ColumnModel([
	                   new Ext.grid.RowNumberer(),
	                   {header: 'Tipo', dataIndex:'type',  sortable: true},
	                   {header: 'Propiedad', dataIndex:'property',  sortable: true},
	                   {header: 'Valor',dataIndex:'value',  sortable: true}
	               ]);
	},
	           
	formload:function(){
                storeConf.load();
	},
        modificar:function(objec,row){
            var myFormPanel = Ext.getCmp('list-admin-conf-form');
            myFormPanel.form.submit({
                params:{
                    accion: 'Conf//Save',
                    conf_id:row.data.conf_id,
                    type:row.data.type,
                    property:row.data.property,
                    value:row.data.value,
                    output: 'json'
                },
                waitMsg:'Guardando...',
                reset: true,
                failure: function(form_instance, action) {
                    Ext.MessageBox.alert('Error', 'Ha ocurrido un error de Procesamiento');
                },
                success: function(form_instance, action) {
                    Ext.getCmp('grid-list-conf-admin').store.reload();
                }
            });
        },
        agregar:function(objec,row){
            //console.log(objec,row[0])
            if(row[0].data.type != ""){
                var myFormPanel = Ext.getCmp('list-admin-conf-form');
                myFormPanel.form.submit({
                    params:{
                        accion: 'Conf//Save',
                        conf_id:row[0].data.conf_id,
                        type:row[0].data.type,
                        property:row[0].data.property,
                        value:row[0].data.value,
                        output: 'json'
                    },
                    waitMsg:'Guardando...',
                    reset: true,
                    failure: function(form_instance, action) {
                        Ext.MessageBox.alert('Error', 'Ha ocurrido un error de Procesamiento');
                    },
                    success: function(form_instance, action) {
                        Ext.getCmp('grid-list-conf-admin').store.reload();
                    }
                });
            }
        },

    Init:function(){
        
    
    var Configuracion = Ext.data.Record.create([{
        name: 'conf_id',
        type: 'int'
    }, {
        name: 'type',
        type: 'string'
    },{
        name: 'property',
        type: 'string'
    },{
        name: 'value',
        type: 'string'
    }]);


    
    storeConf = new Ext.data.GroupingStore({
        autoLoad:true,
        proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
        baseParams: {
            accion: 'Conf//Get_Lista_Conf',
            ouput:'json'
        },
        reader: new Ext.data.JsonReader({
            totalProperty: "totalCount",
            root: "matches" // ,id: "bl"
            }, adminConfForm.initRecordDef())/*,
        data: genData()*/
    });

    var editor = new Ext.ux.grid.RowEditor({
        saveText: 'Update'
    });

    var grid = new Ext.grid.GridPanel({
        store: storeConf,
        id:'grid-list-conf-admin',
        height: 680,//490
        width: 600,
        region:'center',
        margins: '0 5 5 5',
        autoExpandColumn: 'value',
        plugins: [editor],
        view: new Ext.grid.GroupingView({
            markDirty: false
        }),
        tbar: [{
            icon: 'imagenes/icons/add.png',
            text: 'Agregar Variable',
            handler: function(){
                var e = new Configuracion({
                    conf_id: 0,
                    type: '',
                    property: '',
                    value: ''
                });
                editor.stopEditing();
                storeConf.insert(0, e);
                grid.getView().refresh();
                grid.getSelectionModel().selectRow(0);
                editor.startEditing(0);
            }
        }/*,{
            icon: 'imagenes/icons/delete.png',
            text: 'Eliminar Variable',
            disabled: true,
            handler: function(){
                editor.stopEditing();
                var s = grid.getSelectionModel().getSelections();
                for(var i = 0, r; r = s[i]; i++){
                    storeConf.remove(r);
                }
            }
        }*/],
        //cm: adminConfForm.initColumnModel(),
        columns: [
        new Ext.grid.RowNumberer(),
        {
            id: 'type',
            header: 'Tipo',
            dataIndex: 'type',
            width: 100,
            sortable: true,
            editor: {
                xtype: 'textfield',
                allowBlank: false,
                selectOnFocus :true
            }
        },{
            header: 'Propiedad',
            dataIndex: 'property',
            width: 120,
            sortable: true,
            editor: {
                xtype: 'textfield',
                allowBlank: false,
                selectOnFocus :true
            }
        },{
            id: 'value',
            header: 'Valor',
            dataIndex: 'value',
            //width: 150,
            sortable: true,
            editor: {
                xtype: 'textfield',
                allowBlank: false,
                selectOnFocus :true
            }
        },{
            dataIndex: 'conf_id',
            hidden: true
        }]
    });
        
    storeConf.on('add', adminConfForm.agregar, storeConf);
    //storeConf.on('remove', adminConfForm.save, storeConf);
    storeConf.on('update', adminConfForm.modificar, storeConf);
    
    var tabForm = new Ext.FormPanel({
        url: 'clases/controladores/ControladorApp.php',
        labelAlign: 'top',
        id: 'list-admin-conf-form',
        bodyStyle:'padding:5px',
        height: 680,//490
        width: 600,
        layout: 'form',
        items: [grid]
    });
    
    adminConfFormWin = new Ext.Window({
        closeAction:'hide',
        draggable: true,
        modal: true,
        id: 'adminConfForm-win',
        layout: 'fit',
        maximizable:false,
        minHeight: 250,
        minWidth: 500,
        plain: false,
        resizable: true,
        items: [ tabForm ],
        title: 'Administraci&oacute;n de Configuraciones',
        height: 680,//490
        width: 600,
        listeners:{
            afterrender:function(e){  
                storeConf.load();              
            }
        },
        customLoad:function(){
        }
    });
    
    adminConfFormWin.show();
}
};
}();
//
Ext.onReady(adminConfForm.Init, adminConfForm, true);
//adminConfForm.Init();

