function customLoad(){
    
}
var fields_linea_prestamo = [
        { mapping:'archivo', name:'archivo', type: 'string'},
        { mapping:'bd', name:'bd', type: 'string'},
        { mapping:'base_datos', name:'base_datos', type: 'string'},
        { mapping:'observacion', name:'observacion', type: 'string'},
        { mapping:'fecha', name:'fecha', type: 'string'},
        { mapping:'fecha_actualizacion', name:'fecha_actualizacion',type: 'date', dateFormat: 'Y-m-d g:i:s'},
        { mapping:'upd', name:'upd', type: 'int'}
];  
var fields_data_base = [
        {mapping: 'Database',name:'Database', type:'string'}
    ];  

actualizadorForm = function(){
    var storeCamposOrigen = null;
    var gridCamposOrigen  = null;
    var tabForm = null;
    var storeBaseDatos = null;
    var recId = 0;    

    var arrayOrigen1 = null;
    var arrayOrigen2 = null;
    var arrayOrigen3 = null;
    var arrayDestino = null;
    var arrayDefault = null;
    var arrayPatron = null;

    var pestaniaActiva = "regular";
    
    var chkSelMol = new Ext.grid.CheckboxSelectionModel({
            singleSelect :false,
            listeners: {
                rowselect: function(sm,rowInd,row) {
                    
                },
                rowdeselect:function(sm,rowInd,row){
                }
            }
        });
    var chkSelMol3 = new Ext.grid.CheckboxSelectionModel({
            singleSelect :false,
            listeners: {
                rowselect: function(sm,rowInd,row) {
                    
                },
                rowdeselect:function(sm,rowInd,row){
                }
            }
        });
    var chkSelMol4 = new Ext.grid.CheckboxSelectionModel({
            singleSelect :false,
            listeners: {
                rowselect: function(sm,rowInd,row) {
                    
                },
                rowdeselect:function(sm,rowInd,row){
                }
            }
        });
    var expander = new Ext.ux.grid.RowExpander({
                tpl : new Ext.Template(
                    '<p>{observacion}</p><br>'
                )
            });

return{
    
    idWin:function(){return 'actualizadorForm-win';},
    customLoad:function(){
        
    },
    submitForm:function(){
        storeBaseDatos.load();
        winSelecBaseDatos.show();
        
    },
    actualizarRegular:function(){
        var nItems = 0;
        
        Ext.MessageBox.buttonText.yes = "Sí";
            Ext.MessageBox.buttonText.no = "No";
            Ext.MessageBox.buttonText.cancel = "Cancelar";
            Ext.MessageBox.show({
              title:'Confirmación!',
              msg: 'Seguro que desea ejecutar la actualizacion de los archivos pendientes?',
              buttons: Ext.MessageBox.YESNOCANCEL,
              fn: function (val){
                  if(val == 'yes'){                         
                    actualizadorForm.submitForm();                        
                  }
              },
              icon: Ext.MessageBox.QUESTION
           });
    },
    
    migrar:function(){
        if(pestaniaActiva == "regular"){
            actualizadorForm.actualizarRegular();
        }
    },
    initRecordDef : function(){
        return new Ext.data.Record.create(fields_linea_prestamo);
    },

    initRecordDef2 : function(){
        return new Ext.data.Record.create(fields_data_base);
    },
    
    initColumnModelOrigen : function(){
                   return new Ext.grid.ColumnModel({
                               columns:[
                           expander,
                       {header: 'Archivo', width:85 ,  dataIndex:'archivo', sortable: false},
                       {header: 'Observacion',   dataIndex:'observacion', sortable: false},
                       {header: 'Fecha' , width:50,   dataIndex:'fecha',  sortable: false},
                        {
                            xtype: 'actioncolumn',
                            width: 25,
                            items: [
                                {
                                    getClass: function(v, meta, rec) {          // Or return a class from a function
                                        if (rec.get('upd') == 0) {
                                            //this.items[1].tooltip = 'Pendiente por actualizar!';
                                            return 'update-waiting';
                                        } else {
                                            //this.items[1].tooltip = 'Actualizado';
                                            return 'update-done';
                                        }
                                    }
                                }
                            ]
                        },
                       chkSelMol3
                   ]});
    },
    initColumnModelDestino : function(){
                   return new Ext.grid.ColumnModel({
                               columns:[
                           
                       {header: 'Archivo',    dataIndex:'archivo', sortable: false},
                       {header: 'BD', width:70,    dataIndex:'base_datos', sortable: false},
                       {header: 'Fecha' , width:50,   dataIndex:'fecha_actualizacion',  sortable: false,renderer : Ext.util.Format.dateRenderer('d/m/Y H:i:s')}
                   ]});
    },
    initColumnModelDataBase : function(){
                   return new Ext.grid.ColumnModel({
                               columns:[
                           
                       {header: 'Base de Datos',   dataIndex:'Database',  sortable: false},
                                chkSelMol4
                   ]});
    },
               
    
    Init:function(){
        
    storeCamposOrigen = new Ext.data.Store({
        proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
        remoteSort : true,
        restful : true,
        autoLoad:true,
        baseParams: {
            accion:'Conf//get_actualizaciones_pendientes'
        },
        reader: new Ext.data.JsonReader({
            totalProperty: "totalCount",
            root: "matches" // ,id: "bl"
            }, actualizadorForm.initRecordDef()),
        listeners: {
            load: function(Store ,records, options){
            },
            datachanged:function(store){
                    //console.log(store);
            }
        }
    });

    storeCamposDestino = new Ext.data.Store({
        proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
        remoteSort : true,
        restful : true,
        autoLoad:true,
        baseParams: {
            accion:'Conf//get_actualizaciones_hechas'
        },
        reader: new Ext.data.JsonReader({
            totalProperty: "totalCount",
            root: "matches" // ,id: "bl"
            }, actualizadorForm.initRecordDef()),
        listeners: {
            load: function(Store ,records, options){
            },
            datachanged:function(store){
                    //console.log(store);
            }
        }
    });
    
    var tbGridSust = new Ext.Toolbar({
        id:'tbb-lista-act1',
        autoDestroy:false,
        buttonAlign: 'right',
        items:  [ 
             {
              text:'Recargar',
              id:'buscar-btn-lista-opciones',
              tooltip:'Recargar grid',
              iconCls:'edit',
              icon: 'imagenes/icons/arrow_refresh.png',
              handler: function(){
                    storeCamposOrigen.reload();
              }
          }
        ]    
    });

    var tbGridSust2 = new Ext.Toolbar({
        id:'tbb-lista-act2',
        autoDestroy:false,
        buttonAlign: 'right',
        items:  [ 
             /*{
            xtype: 'textfield',
              allowBlank : false,
              minLength: 5,
              maxLength: 25,
              name: 'patronbuscar-lista-act2',
              id: 'patronbuscar-lista-act2',
              anchor:'50%',
              selectOnFocus : true,                 
              listeners:{
                    specialkey: function(patronBlbuscar,e){ 
                        if (e.getKey() == e.ENTER) { 
                                    buscar('patronbuscar-lista-act2',storeOpcionesAcceso); 
                        }
                    }
                }
              }, */{
              text:'Recargar',
              id:'buscar-btn-lista-act2',
              tooltip:'Recargar grid',
              iconCls:'edit',
              icon: 'imagenes/icons/arrow_refresh.png',
              handler: function(){
                    storeCamposDestino.reload();}}]
    
    });

    gridCamposOrigen= new Ext.grid.GridPanel({
        anchor:'99%',
        autoScroll:true,
        title:'Actualizaciones por Ejecutar',
        viewConfig:{forceFit:true},
        tbar:tbGridSust,
        border:true,
        clicksToEdit: 1,
        height: 500,
        stripeRows: true,
        loadMask:true,
        ds: storeCamposOrigen,
        cm: actualizadorForm.initColumnModelOrigen(),
        remoteSort:false,
        shadow: false,
        shadowOffset: 0,
        sm: chkSelMol3 ,
        listeners:{
            dblclick:function(e){
                
            }
        },
        plugins:[expander]
    });

    gridCamposDestino= new Ext.grid.GridPanel({
        anchor:'99%',
        autoScroll:true,
        tbar:tbGridSust2,
        title:'Actualizaciones Realizadas',
        viewConfig:{forceFit:true},
        border:true,
        clicksToEdit: 1,
        height: 500,
        stripeRows: true,
        loadMask:true,
        ds: storeCamposDestino,
        cm: actualizadorForm.initColumnModelDestino(),
        remoteSort:false,
        shadow: false,
        shadowOffset: 0,
        sm: new Ext.grid.RowSelectionModel({
                singleSelect:false,
                listeners: {
                    rowselect: function(SelectionModel,rownumber,row){
                        
                    }
                }
            }) ,
        listeners:{
            dblclick:function(e){
                
            }
        }
    });

    
    tabForm = new Ext.FormPanel({
        region:'center',
        flex:1,
        border:false,
        url: 'clases/controladores/ControladorApp.php',
        labelAlign: 'left',
        region:'center',
        id: 'actualizador-form',
        bodyStyle:'padding:5px',
        items: [       
                 {layout:'column',border:false,items:[
                                {columnWidth:.5,layout:'form',border:false,items:[
                                    gridCamposOrigen    
                                ]},
                                {columnWidth:.5,layout:'form',border:false,items:[
                                    gridCamposDestino     
                                ]}
                    ]}  
            ],
        buttonAlign:'center',
        buttons:[
        {
            text: 'Actualizar',//
            icon:'imagenes/icons/application_cascade.png',
            listeners:{
                click: function( el, e ){
                    actualizadorForm.migrar();
                }
            }
        },
        {
            text: 'Cancelar',
            icon:'imagenes/icons/cross.png',
            listeners:{
                click: function( el, e ){
                    //
                            document.location.href = "/pyme/selectraerp/modulos/principal/?opt_menu="+opt_menu;
                }
            }
        }
        ]
    });
    
    /*var panel_east =  new Ext.Panel({
            autoDestroy:false,
            id: 'panel-east-actualizador',
            region: 'east',
            //title: 'Casos Con Opciones Rechazadas',
            collapsible: false,
            split: false,
            width: 280,
            margins: '0 5 0 0',
            layout: {
                type:'vbox',
                padding:'5',
                align:'center'
            },
            items: [tabForm],
            listeners:{
                added:function(cmp,ower,ind){
//                  this.doLayout();
                }
            }
        });*/

    var panelContainerModsApp = new Ext.Panel({
            autoDestroy:false,
            id:'dashboard-adm-actualizaciones',
            layout: 'border',
            region:'center',
            customLoad:function(){
            },
//          flex:1,
            //id:'panel-mods-app',
            items: [tabForm]//[resumen_pedidos,grid_resumen_transito]
        });
        
        //t = setInterval("customLoad()",300000);
/*
        tabFormError = new Ext.FormPanel({
        labelAlign: 'top',
        region:'center',
        //height:500,
        id: 'form-error',
        bodyStyle:'padding:5px',
        layout:'form',
        items: [       
                    {
                        xtype:'textarea',
                        anchor:'99%',
                        id:'mensaje-error',
                        text: 'Error',
                        readOnly:true,
                        flex: 1,
                        height:240
                    }
            ],
        buttonAlign:'center',
        buttons:[
        {
            text: 'OK',
            icon:'../../../includes/imagenes/icons/cross.png',
            listeners:{
                click: function( el, e ){
                    actualizadorFormErrorWin.hide();
                }
            }
        }
        ]
    });

    actualizadorFormErrorWin = new Ext.Window({
        closeAction:'hide',
        draggable: false,
        modal: false,
        id: 'actualizadorFormError-win',
        layout: 'fit',
        region:'center',
        maximizable:false,
        x:70,y:70,
        plain: false,
        resizable: true,
        items: [ tabFormError],
        constrainHeader:true,
        height: 360,//490
        width: 500,
        closable:true,
        title:'Error!'
    });
*/
    

    

    storeBaseDatos = new Ext.data.Store({
        proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
        remoteSort : true,
        restful : true,
        //autoLoad:true,
        baseParams: {
            accion:'Conf//get_bds',
            output:'json'
        },
        reader: new Ext.data.JsonReader({
            totalProperty: "totalCount",
            root: "matches" // ,id: "bl"
            }, actualizadorForm.initRecordDef2()),
        listeners: {
            load: function(Store ,records, options){
            },
            datachanged:function(store){
                    //console.log(store);
            }
        }
    });
        

    gridBaseDatos= new Ext.grid.EditorGridPanel({
        id: 'grid-base-datos',
        anchor:'99%',
        autoScroll:true,
        viewConfig:{forceFit:true},
        border:true,
        clicksToEdit: 1,
        height: 510,
        stripeRows: true,
        loadMask:true,
        ds: storeBaseDatos,
        cm: actualizadorForm.initColumnModelDataBase(),
        /*cm: new Ext.grid.ColumnModel({
                               columns:[
                                {header: 'Base de Datos',   dataIndex:'DataBase',  sortable: false},
                                chkSelMol4
                   ]}),*/
        remoteSort:false,
        shadow: false,
        shadowOffset: 0,
        sm: chkSelMol4 ,
        listeners:{
            dblclick:function(e){}
        }
    });

    winSelecBaseDatos = new Ext.Window({
        draggable: true,
        closable:false,
        modal: true,
        x:100,y:100,
        id: 'selec-db-win',
        layout: 'fit',
        region:'center',
        maximizable:false,
        minHeight: 250,
        minWidth: 300,
        plain: false,
        resizable: true,
        items: [gridBaseDatos],
        buttonAlign:'center',
        buttons:[
            {
                text: 'Aceptar',
                icon:'imagenes/icons/accept.png',
                listeners:{
                        click: function( el, e ){
                                //console.log(gridBaseDatos.getSelectionModel().getSelections());
                                arrayBaseDatos = Array();
                                Ext.iterate(gridBaseDatos.getSelectionModel().getSelections(), function(key, value) {;
                                    arrayBaseDatos.push(key.data.Database);
                                    //console.log(key.data.DataBase);
                                });
                                arrayArchivos = Array();
                                Ext.iterate(gridCamposOrigen.getSelectionModel().getSelections(), function(key, value) {;
                                    arrayArchivos.push(key.data.archivo);                                 
                                });
                                //return;
                                var nBases = arrayBaseDatos.length; 
                                var nArchivos = arrayArchivos.length; 
                                //
                                var defaultVacio = false;

                                var loadingMask = new Ext.LoadMask(Ext.getBody(), {//
                                        msg: "Realizando Actualizaciones..."
                                }); 

                                if(nBases == 0){
                                    alert("Debe seleccionar al menos una base de datos para aplicar las actualizaciones");
                                    return;
                                }
                                if(nArchivos == 0){
                                    alert("Debe seleccionar al menos un archivo para aplicar las actualizaciones");
                                    return;
                                }
                                loadingMask.show();
                                Ext.Ajax.request({
                                    url:'clases/controladores/ControladorApp.php',
                                    timeout:4800000,
                                    success: function(response,form) {
                                            loadingMask.msg = "Finalizando Migraci&oacute;n...";
                                            var responseOBJ =$.parseJSON(response.responseText);
                                            loadingMask.hide(); 
                                            if(responseOBJ.mensaje == "ERROR"){
                                                loadingMask.hide(); 
                                                Ext.getCmp('mensaje-error').setValue(responseOBJ.error);
                                                actualizadorFormErrorWin.show();    
                                            }
                                            else{
                                                tabForm.form.reset();
                                                loadingMask.hide(); 
                                                
                                                Ext.MessageBox.alert('Mensaje', "Mensaje: "+responseOBJ.mensaje);                        
                                            }
                                            storeCamposOrigen.reload();
                                            storeCamposDestino.reload();
                                            winSelecBaseDatos.hide();
                                    },
                                    failure: function(response,form) {
                                            var responseOBJ =$.parseJSON(response.responseText);
                                            Ext.getCmp('mensaje-error').setValue(response.responseText);
                                            actualizadorFormErrorWin.show();
                                            storeCamposOrigen.reload();
                                            storeCamposDestino.reload();
                                    },
                                    params:{ 
                                        accion:'Conf//actualizar_bd',
                                        databases:[arrayBaseDatos],
                                        archivos:[arrayArchivos],
                                        nBases:nBases,
                                        nArchivos:nArchivos,
                                        output:'json'
                                    }
                                });                                //


                            }
                    }
            },
            {
                text: 'Cancelar',
                icon:'imagenes/icons/cross.png',
                listeners:{
                        click: function( el, e ){
                            winSelecBaseDatos.hide();
                        }
                    }
            }
        ],
        title: 'Selecci&oacute;n de Bases de datos',
        height: 300,//490
        width: 400
    });
}
};
}();
//
Ext.onReady(actualizadorForm.Init, actualizadorForm, true);
//actualizadorForm.Init();

