
commentsForm = function(){
	var genericParentId = "";
        var rootDirectory = "../../";
        var storeComments = null;
        var gridComments = null;
        var tabForm = null;
        var subjectComment = "";
        var genericParentType = "";
	var remoteGenericParentId = "";

return{
	
	moduleFields: fields_commet,

	initRecordDef : function(){
		return new Ext.data.Record.create(commentsForm.moduleFields);
	},
	           
	initColumnModel : function(){
		return new Ext.grid.ColumnModel([
            		{header: 'Comentario',   dataIndex:'created_by_name',  sortable: false            		}	                   
	               ]);
	},
	
		
	formLoad:function(remoteGenericParentID,genericParentID,subject,genericParentTYPE){
		genericParentType = genericParentTYPE;
                genericParentId = genericParentID;
                remoteGenericParentId = remoteGenericParentID;
                subjectComment = subject;
		storeComments.load({params:{
				accion: 'Accion/Comment/Get_Comments_Generic_Parent',
				output:'json' ,
				generic_parent_id:genericParentId,
				generic_parent_type:genericParentType
                            }});                
                Ext.getCmp('commentsForm-win').setTitle(subject);
	},
        formSubmit:function(){
            if (tabForm.form.isValid()) {
                            	
                tabForm.form.submit({
                    params:{
                        accion: 'Accion/Comment/Add_Comments_To_Generic_Parent',
                    	output:'json',
                        generic_parent_id: genericParentId,
                        generic_parent_type: genericParentType,
                        remote_generic_parent_id: remoteGenericParentId,
                        subject: subjectComment
                    },
                    waitMsg:'Agregando comentario...',
                    reset: true,
                    failure: function(form_instance, action) {
                        Ext.MessageBox.alert('Error', 'Ha ocurrido un error de Procesamiento');
                    },
                    success: function(form_instance, action) {
                        storeComments.load({
                            params:{
                                generic_parent_id:genericParentId,
                                generic_parent_type: genericParentType,
                                accion: 'Accion/Comment/Get_Comments_Generic_Parent',                            
                                output:'json'
                            }
                        });
                    }
                });
            }else{
                Ext.MessageBox.alert('Errors', 'Debe escribie un mensaje');
            }
        },

    Init:function(rootDir){
    //console.log(rootDir)
    rootDirectory = (typeof rootDir == undefined || rootDir == undefined || rootDir == 'undefined') ? "../../" : "";
    
    Ext.QuickTips.init();

    Ext.form.Field.prototype.msgTarget = 'side';
    
    storeComments = new Ext.data.Store({
        proxy:new Ext.data.HttpProxy({url:rootDirectory+'clases/controladores/ControladorApp.php'}),        
        remoteSort : true,
        restful : true,
        baseParams: {
                  moduleId: 'comments'
        },
        reader: new Ext.data.JsonReader({
            totalProperty: "totalCount",
            root: "matches" // ,id: "bl"
            }, commentsForm.initRecordDef()),
        listeners: {
            load: function(Store ,records, options){ 
                $(".search-item ").each(function(index,domEle){
                    if(index%2==0)
                        $(this).css({
                            backgroundColor : '#F7F2F4'
                        });
                });
            }
        }
    });

    var resultTpl = new Ext.XTemplate(
            '<tpl for=".">', //
            '<div class="search-item" style="border-bottom:1px solid #ddd;">',
                '<span style="float: left"><img src="'+rootDirectory+'imagenes/avatar/{avatar_image}">&nbsp;&nbsp;&nbsp;</span>',
                '<h3><span style="float: left">{create_time:date("M j, Y")}<br />por {created_by_name}&nbsp</span></h3>',
                '<span style="float: left; width:1px; border-left:1px solid #ddd;height:100%"></span>',
                '<span style="float:left;width:70%;text-align: justify; padding-left:3px;">{message}</span>',
                '<p style="clear:left"></p>',
            '</div></tpl>'
        );
    
    gridComments = new Ext.DataView({
        id: 'grid-comments-generic-parent',
        store: storeComments,
        tpl:resultTpl,
        itemSelector:'div.search-item',
        singleSelect:true,
        listeners:{
    		click:function (e){
    			//console.log(gridComments.getSelectedRecords().data)
    		}
    	}
    });

    var panel = new Ext.Panel({
        autoScroll: true,
        region:'center',
        style:'margin-top:5px;',
        margins: '5 5 5 5',
        height: 290,
        //title: '',
        items: gridComments
    })

    
    tabForm = new Ext.FormPanel({
        url: rootDirectory+'clases/controladores/ControladorApp.php',
        labelAlign: 'top',
        id: 'generic-parent-comments-form',
        bodyStyle:'padding:5px',
        width: 600, 
        items: [{
            layout:'column',
            border:false,
            items:[{
                columnWidth:.99,
                layout: 'form',
                border:false,
                items: [
                {
                    xtype     : 'textarea',
                    emptyText:'Ingrese su comentario aquí',
                    anchor:'90%',
                    allowBlank : false,
                    name: 'comment',
                    id: 'comment',            		
                    listeners:{
                        specialkey: function(patronBlbuscar,e){ 
                            // e.HOME, e.END, e.PAGE_UP, e.PAGE_DOWN, 
                            // e.TAB, e.ESC, arrow keys: e.LEFT, e.RIGHT, e.UP, e.DOWN 
                            if (e.getKey() == e.ENTER) { 
                                commentsForm.formSubmit(); 
                            }
                       }
                    }
                },
               {
                	xtype:'button',
                    text: 'Agregar Comentario',
                	icon:rootDirectory+'imagenes/icons/database_add.png',
                    listeners :{
                        click : function( el, e ){
                                commentsForm.formSubmit();                             
                        }
                    }
                },
                panel]
            },{
                columnWidth:.01,
                layout: 'form',
                border:false,
                items: [
                        	
                       ]
            }]
        }],

        buttons: [
        {
            text: 'Cerrar',
            listeners:{
	            click: function( el, e ){ 
        			//console.log(el,e);
	            	commentsFormWin.hide();       	
	        	
	        	}
        	}
        }]
    });
    
    commentsFormWin = new Ext.Window({
        closeAction:'hide',
        draggable: true,
        modal: true,
        id: 'commentsForm-win',
        layout: 'fit',
        maximizable:false,
        minHeight: 250,
        minWidth: 500,
        plain: false,
        resizable: false,
        items: [ tabForm ],
        height: 490,
        width: 700
    });
    
    commentsFormWin.show();
    
}
};
}();

//Ext.onReady(commentsForm.Init, commentsForm, true);